<?php

namespace App\Http\Controllers;

use App\Models\Order;
use App\Models\OrderDetail;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class PayUMoneyController extends Controller
{
    public function payUMoneyView(Request $request)
    {
        $orderNo = $request->orderNumber;
        $paymentMode = Order::where('order_no', "=", $orderNo)->update(['payment_mode' => 'payumoney']);

        $MERCHANT_KEY = "GjX9OLaQ"; // TEST MERCHANT KEY
        $SALT = "dbsmAXrCU0"; // TEST SALT

        $PAYU_BASE_URL = "https://test.payu.in";

        //$PAYU_BASE_URL = "https://secure.payu.in"; // PRODUCATION
        $name = $request->fullname;
        $successURL = route('success.payment');
        $failURL = route('pay.u.cancel');
        $email = $request->email;
        $amount = $request->amount;

        $action = '';
        $txnid = substr(hash('sha256', mt_rand() . microtime()), 0, 20);
        $posted = array();
        $posted = array(
            'key' => $MERCHANT_KEY,
            'txnid' => $txnid,
            'amount' => $amount,
            'firstname' => $name,
            'email' => $email,
            'productinfo' => 'Webappfix',
            'surl' => $successURL,
            'furl' => $failURL,
            'service_provider' => 'payu_paisa',
        );

        if(empty($posted['txnid'])) {
            $txnid = substr(hash('sha256', mt_rand() . microtime()), 0, 20);
        } 
        else{
            $txnid = $posted['txnid'];
        }

        $hash = '';
        $hashSequence = "key|txnid|amount|productinfo|firstname|email|udf1|udf2|udf3|udf4|udf5|udf6|udf7|udf8|udf9|udf10";
        
        if(empty($posted['hash']) && sizeof($posted) > 0) {
            $hashVarsSeq = explode('|', $hashSequence);
            $hash_string = '';  
            foreach($hashVarsSeq as $hash_var) {
                $hash_string .= isset($posted[$hash_var]) ? $posted[$hash_var] : '';
                $hash_string .= '|';
            }
            $hash_string .= $SALT;

            $hash = strtolower(hash('sha512', $hash_string));
            $action = $PAYU_BASE_URL . '/_payment';
        } 
        elseif(!empty($posted['hash'])) 
        {
            $hash = $posted['hash'];
            $action = $PAYU_BASE_URL . '/_payment';
        }

        return response()->json(['action' => $action,'hash' => $hash,'MERCHANT_KEY' => $MERCHANT_KEY,'txnid' => $txnid,'successURL' => $successURL,'failURL' => $failURL,'name' => $name,'email' => $email,'amount' => $amount]);
    }

    public function payUResponse(Request $request)
    {
        dd('Payment Successfully Done');
    }

    public function payUCancel(Request $request)
    {
        dd('Payment Failed');
    }
}
