<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
    protected $table = 'products';

    protected $fillable = [ 
        'cat_id',
        'sub_cat_id',
        'prodcut_name',
        'slug',
        'sku',
        'product_price',
        'discount_price',
        'net_price',
        'minimum_order_quantity',
        'tax_included',
        'tax_rate',
        'manage_stock',
        'stock_quantity',
        'stock_status',
        'short_description',
        'description',
        'product_main_images',
        'product_weight',
        'is_free_shipping',
        'estimated_shipping_days',
        'estimated_outofstock_shipping_days',
        'days_allowed_to_return',
        'is_label',
        'custom_label_name',
        'video_type',
        'video_code',
        'vimeo_code',
        'meta_title',
        'meta_keyword',
        'meta_description',
        'status',
        'sort_order'
    ];
    public $timestamps = true;

    public function categories()
    {
        return $this->belongsTo(Category::class, 'cat_id');
    }

    public function subcategories()
    {
        return $this->belongsTo(Subcategory::class, 'sub_cat_id');
    }

    public function productImages(){
        return $this->hasMany(ProductImage::class, 'product_id', 'id');
    }
}
