<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Models\Category;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        view()->composer('front.partials.web-sidebar', function($view){
            //get all parent categories with their subcategories
            $categories = Category::get();
            //attach the categories to the view.  
            $view->with(compact('categories'));
        });

        view()->composer('front.layouts.app', function($view){
            $cartItems = \Cart::getContent();     
            $view->with(compact('cartItems'));
        });
    }
}
