<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('first_name', 250);
            $table->string('last_name', 250);
            $table->string('email', 250)->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password', 255);
            $table->string('mobile')->nullable();
            $table->string('profile_image')->nullable();
            $table->string('email_otp')->nullable();
            $table->dateTime('email_otp_expires', $precision = 0)->nullable();
            $table->string('mobile_otp')->nullable();
            $table->dateTime('mobile_otp_expires', $precision = 0)->nullable();
            $table->rememberToken();
            $table->mediumInteger('status')->default(707);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
