<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('user_id')->constrained('users')->onUpdate('cascade')->onDelete('cascade');
            $table->bigInteger('order_no');
            $table->integer('currency_id')->default(0);
            $table->string('currency_symbol')->default("USD");
            $table->integer('currency_value')->default(0);
            $table->string('shipping_first_name')->nullable();
            $table->string('shipping_last_name')->nullable();
            $table->string('shipping_phone')->nullable();
            $table->string('shipping_address')->nullable();
            $table->string('shipping_country_id')->nullable();
            $table->string('shipping_state_id')->nullable();
            $table->string('shipping_city')->nullable();
            $table->mediumInteger('shipping_zip_code')->default(0);
            $table->mediumInteger('shipping_amount')->default(0);
            $table->unsignedDecimal('total_order_amount', $precision = 8, $scale = 2);
            $table->unsignedDecimal('coupon_discount_amoount', $precision = 8, $scale = 2);
            $table->string('coupon_number')->nullable();
            $table->mediumInteger('status')->default(505);
            $table->dateTime('order_date', $precision = 0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order');
    }
};
