<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order', function (Blueprint $table) {
            $table->string('billing_first_name')->nullable()->after('shipping_zip_code');
            $table->string('billing_last_name')->nullable()->after('billing_first_name');
            $table->string('billing_phone')->nullable()->after('billing_last_name');
            $table->string('billing_address')->nullable()->after('billing_phone');
            $table->string('billing_country_id')->nullable()->after('billing_address');
            $table->string('billing_state_id')->nullable()->after('billing_country_id');
            $table->string('billing_city')->nullable()->after('billing_state_id');
            $table->mediumInteger('billing_zip_code')->default(0)->after('billing_city');
            $table->string('payment_mode')->nullable()->before('status');
            $table->mediumInteger('payment_status')->default(505)->after('status');
            $table->mediumInteger('shipping_status')->default(505)->after('payment_status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order', function (Blueprint $table) {
            $table->dropColumn('billing_first_name');
            $table->dropColumn('billing_last_name');
            $table->dropColumn('billing_phone');
            $table->dropColumn('billing_address');
            $table->dropColumn('billing_country_id');
            $table->dropColumn('billing_state_id');
            $table->dropColumn('billing_city');
            $table->dropColumn('billing_zip_code');
            $table->dropColumn('payment_mode');
            $table->dropColumn('payment_status');
            $table->dropColumn('shipping_status');
        });
    }
};
