@extends('admin.layouts.form')

@section('content')
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Edit Category</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form class="custom-validation" action="{{ url('admin/category/update') }}" method="post" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <input type="hidden" name="cat_id" value="{{$category->id}}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Category Name</label>
                                    <input type="text" name="category_name" class="form-control" placeholder="Category Name" value="{{$category->category_name}}" data-parsley-minlength="3" required>
                                    @error('category_name')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="status" class="form-label">Status</label>
                                    <select class="form-select" name="status" required>
                                        <option disabled="" value="">Choose Status</option>
                                        <option value="707" <?php if($category->status == 707){ echo 'selected'; } ?>>Active</option>
                                        <option value="505" <?php if($category->status == 505){ echo 'selected'; } ?>>Inactive</option>
                                    </select>
                                    @error('status')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Category Image</label><br/>
                                    <div class="fileinput fileinput-new" data-provides="fileinput">
                                        <div class="fileinput-preview thumbnail img-thumbnail" data-trigger="fileinput" style="min-width: 300px; height: 200px; margin: 5%;">
                                            @if($category->category_image)
                                            <img src="{{ asset('category') }}/{{$category->category_image}}"/>
                                            @endif
                                        </div>
                                        <div>
                                            <span class="btn red btn-outline btn-file">
                                                <span class="fileinput-new btn btn-light"> Select image </span>
                                                <span class="fileinput-exists btn btn-light"> Change </span>
                                                <input type="file" name="category_image" value="{{ asset('category') }}/{{$category->category_image}}"> </span>
                                            <a href="javascript:;" class="btn fileinput-exists btn-danger" data-dismiss="fileinput"> Remove </a>
                                        </div>
                                    </div>
                                    @error('category_image')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">&nbsp;</div>
                            </div>
                        </div>
                        <div class="mb-0">
                            <div>
                                <button type="submit" class="btn btn-primary waves-effect waves-light me-1">
                                    Submit
                                </button>
                                <button type="reset" class="btn btn-secondary waves-effect">
                                    Reset
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->
</div>
@endsection
@push('imagescript')
    <link href="{{ asset('admin/plugins/bootstrap-fileinput/bootstrap-fileinput.css') }}" rel="stylesheet" type="text/css" />
    <script src="{{ asset('admin/plugins/bootstrap-fileinput/bootstrap-fileinput.js') }}" type="text/javascript"></script>
@endpush