@extends('admin.layouts.form')

@section('content')
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Add Product</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    
    <div class="row">
        <div class="col-12">
            <form class="custom-validation" action="{{ url('admin/product') }}" id="frm" method="post" enctype="multipart/form-data">
            {{ csrf_field() }}
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted">Product Details</small></h4>
                        <p></p>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="cat_id" class="form-label">Category Name*</label>
                                    <select class="form-select" name="cat_id" id="cat_id" required>
                                        <option disabled="" value="" selected>Choose Category Name</option>
                                        @foreach ($category as $cat)
                                        <option value="{{ $cat->id }}">{{ $cat->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('cat_id')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="cat_id" class="form-label">Sub Category Name</label>
                                    <select class="form-select" name="sub_cat_id" id="sub_cat_id" required>
                                        <option disabled="" value="" selected>Choose Sub Category</option>
                                    </select>
                                    @error('cat_id')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Product Name*</label>
                                    <input type="text" name="product_name" id="product_name" class="form-control" placeholder="Product Name" data-parsley-minlength="3" required>
                                    @error('product_name')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Product Code / SKU*</label>
                                    <input type="text" name="sku" class="form-control" placeholder="Product Code / SKU" data-parsley-minlength="3" required>
                                    @error('sku')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label>Summary</label>
                                    <textarea id="textarea" name="short_description" class="form-control" maxlength="225" rows="3" placeholder="This textarea has a limit of 225 chars."></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label>Description</label>
                                    <textarea name="description" class="ckeditor form-control" data-error-container="#editor2_error"></textarea>
                                    <div id="editor2_error"> </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted">Pricing</small></h4>
                        <p></p>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="mb-3">
                                    <label>Selling Price*</label>
                                    <input type="text" name="product_price" id="product_price" class="form-control product_price" onkeyup="allow_numeric(this);" required>
                                    @error('product_price')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="mb-3">
                                    <label>Discount on Selling</label>
                                    <input type="text" id="discount_price" name="discount_price" class="form-control discount_price" onkeyup="allow_numeric(this);">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="mb-3">
                                    <label>Net Price</label>
                                    <input type="text" id="net_price" name="net_price" class="form-control net_price" readonly>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="mb-3">
                                    <label>MOQ</label> <i class="fas fa-info-circle waves-effect" data-bs-toggle="popover" data-bs-placement="top" data-bs-content="Here you can manage minimum order quantity of products in single order."></i>
                                    <input type="text" name="minimum_order_quantity" class="form-control" onkeyup="allow_numeric(this);">
                                </div>
                            </div>
                            <hr>
                            <div class="col-md-12">
                                <h5 class="font-size-14 mb-4">Taxable Product</h5>
                                <div class="form-check mb-3">
                                    <input type="checkbox" name="charge_taxes" class="form-check-input" id="formCheck1" value="1" style="width:2em; height: 2em;">&nbsp;<lable class="form-check-label" for="formCheck1" style="line-height: 2.5"><em>(If this product is taxable, then tick this checkbox)</em></label>
                                    <input type="hidden" name="tax_included" id="tax_included" value="0">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Tax Rate</label>
                                    <div class="input-group">
                                        <input type="text" name="tax_rate" id="tax_rate" class="form-control" value="0" onkeyup="allow_numeric(this);"><span class="input-group-addon bootstrap-touchspin-postfix input-group-append"><span class="input-group-text">%</span></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="mb-3" id="tax_price_div">
                                    <label>Tax Price</label>
                                    <input type="text" id="tax_price" class="form-control" readonly>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="mb-3" id="net_amount_div">
                                    <label>Net Amount</label>
                                    <input type="text" id="net_amount" class="form-control" readonly>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted" style="display: flex;">Images &nbsp;<i class="fas fa-info-circle waves-effect" data-bs-toggle="popover" data-bs-placement="top" data-bs-content="Upload multiple photos of this product in JPEG / PNG format only. (Standard size 2000px X 2000px and Maximum Allowed File Size: 2MB)" style="line-height:1.2 !important;"></i></small></h4>
                        <p></p>
                        <div class="row">
                            <div class="col-md-12 main-section">
                            <div class="form-group">
                                <div class="file-loading">
                                    <input id="product_images" class="file" type="file" name="product_images[]" multiple data-theme="fa5">
                                </div>
                            </div>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="mb-3">
                                    <h4 class="mb-3"><small class="text-muted">Video Code</small></h4>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div class="mb-3">
                                    <input class="form-check-input mvideo" type="radio" name="video_type" id="video_type_youtube" value="0" checked=""> Youtube
                                    &nbsp;&nbsp;
                                    <input class="form-check-input mvideo" type="radio" name="video_type" id="video_type_vimeo" value="1"> Vimeo
                                </div>
                            </div>
                        </div>
                        <div class="row" id="youtubediv">
                            <div class="col-md-3">
                                <div class="mb-3">&nbsp;</div>
                            </div>
                            <div class="col-md-9">
                                <div class="mb-3">
                                    <label>Youtube Video Code</label>
                                    <div class="input-group">
                                    <span class="input-group-addon bootstrap-touchspin-postfix input-group-append"><span class="input-group-text">https://www.youtube.com/embed/</span></span><input type="text" name="video_code" id="video_code" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row hidden" id="vimeodiv">
                            <div class="col-md-3">
                                <div class="mb-3">&nbsp;</div>
                            </div>
                            <div class="col-md-9">
                                <div class="mb-3">
                                    <label>Vimeo Video Code</label>
                                    <div class="input-group">
                                    <span class="input-group-addon bootstrap-touchspin-postfix input-group-append"><span class="input-group-text">https://player.vimeo.com/video/</span></span><input type="text" name="vimeo_code" id="vimeo_code" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted">Shipping</small></h4>
                        <p></p>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Weight (Kg. / Pound) including packaging (Enter volumetric weight, if volumetric is higher than actual weight)</label>
                                    <input type="text" name="product_weight" id="product_weight" class="form-control" value="0" onkeyup="allow_numeric(this);">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label>&nbsp;</label>
                                <div class="form-check mb-3">
                                    <input class="form-check-input" type="checkbox" id="is_free_shipping" name="is_free_shipping" value="0" style="width: 2em; height: 2em;">
                                    <label class="form-check-label" style="margin-top: 2%;">
                                        &nbsp; FREE Shipping for this product (All Zones)
                                    </label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Estimated no. of days for shipment</label>
                                    <input type="text" id="estimated_shipping_days" name="estimated_shipping_days" value="0" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Estimated no. of days for shipment in case OUT OF STOCK</label>
                                    <input type="text" name="estimated_outofstock_shipping_days" id="estimated_outofstock_shipping_days" value="0" class="form-control" onkeyup="allow_numeric(this);">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Days allowed to return</label>
                                    <input type="text" name="days_allowed_to_return" id="days_allowed_to_returns" class="form-control" value="0" onkeyup="allow_numeric(this);">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted">Lables</small></h4>
                        <p class="card-title-desc">Show Product Label as:</p>
                        <div class="row">
                            <div class="col-md-12" style="display: flex;">
                                <div class="col-md-2 form-check mb-6">
                                    <input class="form-check-input" type="radio" name="is_label" id="is_label_1" value="1">
                                    <label class="form-check-label" for="is_label_1">
                                        Popular
                                    </label>
                                </div>
                                <div class="col-md-2 form-check mb-6">
                                    <input class="form-check-input" type="radio" name="is_label" id="is_label_2" value="2" checked>
                                    <label class="form-check-label" for="is_label_2">
                                        New
                                    </label>
                                </div>
                                <div class="col-md-2 form-check mb-6">
                                    <input class="form-check-input" type="radio" name="is_label" id="is_label_3" value="3">
                                    <label class="form-check-label" for="is_label_3">
                                        Custom Label
                                    </label>
                                </div>
                            </div>
                            <p></p>
                            <div class="col-md-12" id="divcustomlabel" style="display: none;">
                                <div class="mb-3">
                                    <label>Custom Label</label> <i class="fas fa-info-circle waves-effect" data-bs-toggle="popover" data-bs-placement="top" data-bs-content="You can define your own custom tag to be displayed on product image."></i>
                                    <input type="text" name="custom_label_name" id="custom_label_name" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h4 class="mb-3"><small class="text-muted">Search Engines Friendly</small></h4>
                        <p class="card-title-desc">Define product page title, meta keywords and meta description to list your page in search engines.</p>
                        <p></p>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label>Meta Title *(Recommended length 70 characters)</label>
                                    <input type="text" name="meta_title" id="meta_title" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label>Meta Keyword (Recommended length 160 characters)</label>
                                    <input type="text" name="meta_keyword" id="meta_keyword" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label>Meta Description (Recommended length 160 characters)</label>
                                    <input type="text" name="meta_description" id="meta_description" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>SEO URL</label>
                                    <div class="input-group">
                                        <span class="input-group-addon bootstrap-touchspin-postfix input-group-append"><span class="input-group-text">{{ env('APP_URL') }}/products/</span></span><input type="text" name="slug" id="slug" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="mb-0" align="center">
                                <div>
                                    <button type="submit" class="btn btn-primary waves-effect waves-light me-1">
                                        Submit
                                    </button>
                                    <button type="reset" class="btn btn-secondary waves-effect">
                                        Reset
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div> <!-- end col -->
    </div> <!-- end row -->
</div>
@endsection
@push('custom-script')
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.min.css" crossorigin="anonymous">
<link href="{{ asset('admin/plugins/multiple-images-upload/plugin/css/fileinput.css') }}" media="all" rel="stylesheet" type="text/css"/>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" crossorigin="anonymous">
<script src="{{ asset('admin/plugins/multiple-images-upload/plugin/js/plugins/buffer.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('admin/plugins/multiple-images-upload/plugin/js/plugins/filetype.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('admin/plugins/multiple-images-upload/plugin/js/fileinput.js') }}" type="text/javascript"></script>
<script src="{{ asset('admin/plugins/multiple-images-upload/plugin/themes/fa5/theme.js') }}" type="text/javascript"></script>
<style>
    .hidden {
        display: none;
    }
    .fileinput-remove,
    .fileinput-upload {
        display: none;
    }
</style>
<script type="text/javascript">
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $(document).ready(function() {
        $('#cat_id').on('change', function(e) {
            var cat_id = e.target.value;
            $.ajax({  
                url:"{{ url('/admin/product/ajax-subcat') }}",
                type:"POST",
                data: {
                    cat_id: cat_id
                },
                success:function (data) {
                    $('#sub_cat_id').empty();
                    $.each(data.subcategories,function(index,subcategory){
                        $('#sub_cat_id').append('<option value="'+subcategory.id+'">'+subcategory.sub_category_name+'</option>');
                    })
                }
            })
        });

        $("#tax_rate").prop("disabled", true);
        $('input[name=charge_taxes]').on('click', function () {
            var taxValue = $(this).filter(':checked').val();

            if (parseInt(taxValue) == 1) {
                $("#tax_rate").prop("disabled", false);
                $("#tax_rate").addClass("required");
            } else {
                $("#tax_rate").val("0");
                $("#tax_rate").prop("disabled", true);
                $("#tax_rate").removeClass("required");
                $("#tax_rate").removeClass("error");
                $("#tax_price_div").hide();
                $("#net_amount_div").hide();
                $("#tax_price").val();
                $("#net_amount").val();

            }
        });

        $("#tax_price_div").hide();
        $("#net_amount_div").hide();
        $('input#tax_rate').on('blur change', function () {
            var net_price = $("input#net_price").val();
            var tax_rate = $("input#tax_rate").val();

            if (parseInt($("input#tax_included").val()) == 1) {
                tax_price = setAmountFormat(parseFloat(parseFloat(net_price) * tax_rate / 100) / (1 + tax_rate / 100), 2);
                net_price = setAmountFormat(parseFloat(net_price) - parseFloat(tax_price), 2);
            } else {
                tax_price = setAmountFormat(parseFloat(parseFloat(net_price) * tax_rate / 100), 2);
            }
            $("#tax_price_div").show();
            $("#net_amount_div").show();
            $("#tax_price").val(tax_price);
            $("#net_amount").val(net_price);
        });
    });

    function setAmountFormat(numeric, decimals) {
        var regex = new RegExp('\\.0*$', 'g');
        var amount = numeric.toFixed(decimals).toString();
        return amount.replace(regex, '');
    }
</script>
<script>
    document.getElementById("product_price").oninput = () => {
        var productPrice = document.getElementById('product_price');
        var productPriceValue = productPrice.value;
        var checkNumner = !isNaN(productPriceValue);
        if(checkNumner == true){
            var discountPrice = document.getElementById('discount_price');
            var finalPrice = productPriceValue - discountPrice.value;
            var netPrice = document.getElementById('net_price');
            netPrice.value = finalPrice;
        }
        
    };

    document.getElementById("discount_price").oninput = () => {
        var productPrice = document.getElementById('product_price');
        var discountPrice = document.getElementById('discount_price');
        var discountPriceValue = discountPrice.value;
        var checkNumner = !isNaN(discountPriceValue);
        if(checkNumner == true){
            var finalPrice = productPrice.value - discountPriceValue;
            var netPrice = document.getElementById('net_price');
            netPrice.value = finalPrice;
        }
    };
</script>
<script>
    document.getElementById("product_name").oninput = () => {
        var productName = document.getElementById('product_name');
        var product_name = productName.value.trim();
        var meta_title = document.getElementById('meta_title');
        var meta_keyword = document.getElementById('meta_keyword');
        var meta_description = document.getElementById('meta_description');
        meta_title.value = product_name;
        meta_keyword.value = product_name;
        meta_description.value = product_name;
    };
</script>
<script>
    <!-- Begin
            function allow_numeric(obj) {
                if (!/^\d+(\.\d*)?$/.test(obj.value)) {
                    obj.value = theVal = obj.value.replace(/[^0-9.]/g, '');
                    if (theVal > "") {
                        obj.value = parseFloat("0" + theVal);
                        obj.focus()
                    }
                }
            }
        -->
</script>
<script type="text/javascript">
    $(document).ready(function () {
        $(".mvideo").on("change", function () {
            if ($(this).prop('value') == "0") {
            $("#youtubediv").removeClass("hidden");
            $("#vimeodiv").addClass("hidden");
            $("#div_video_vimeo").addClass("hidden");
            $("#div_video_youtube").addClass("hidden");

            } else {
            $("#vimeodiv").removeClass("hidden");
            $("#youtubediv").addClass("hidden");
            $("#div_video_vimeo").addClass("hidden");
            $("#div_video_youtube").addClass("hidden");

            }
        })

        $('input[name=is_label]').on('click', function () {
            var labelValue = $(this).filter(':checked').val();
            (parseInt(labelValue) == 3) ? $("#divcustomlabel").show() : $("#divcustomlabel").hide();
        });

    });
</script>
@endpush