@extends('admin.layouts.form')

@section('content')
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Edit Sub Category</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form class="custom-validation" action="{{ url('admin/subcategory/update') }}" method="post" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        <input type="hidden" name="sub_cat_id" value="{{$subcategory->id}}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="cat_id" class="form-label">Category Name</label>
                                    <select class="form-select" name="cat_id" required>
                                        <option disabled="" value="">Choose Status</option>
                                        @foreach ($category as $cat)
                                        <option value="{{ $cat->id }}" <?php if($subcategory->cat_id == $cat->id){ echo 'selected'; } ?>>{{ $cat->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('cat_id')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Sub Category Name</label>
                                    <input type="text" name="sub_category_name" class="form-control" placeholder="Sub category Name" value="{{$subcategory->sub_category_name}}" data-parsley-minlength="3" required>
                                    @error('sub_category_name')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="status" class="form-label">Status</label>
                                    <select class="form-select" name="status" required>
                                        <option disabled="" value="">Choose Status</option>
                                        <option value="707" <?php if($subcategory->status == 707){ echo 'selected'; } ?>>Active</option>
                                        <option value="505" <?php if($subcategory->status == 505){ echo 'selected'; } ?>>Inactive</option>
                                    </select>
                                    @error('status')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="mb-0">
                            <div>
                                <button type="submit" class="btn btn-primary waves-effect waves-light me-1">
                                    Submit
                                </button>
                                <button type="reset" class="btn btn-secondary waves-effect">
                                    Reset
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->
</div>
@endsection