@extends('admin.layouts.form')

@section('content')
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Edit User</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form class="custom-validation" action="{{ url('admin/user/update') }}" method="post">
                        {{ csrf_field() }}
                        <input type="hidden" name="admin_id" value="{{ $admin->id }}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>First Name</label>
                                    <input type="text" name="firstname" class="form-control" placeholder="First Name" value="{{ $admin->firstname }}" data-parsley-minlength="3" required>
                                    @error('firstname')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Last Name</label>
                                    <input type="text" name="lastname" class="form-control" placeholder="Last Name" value="{{ $admin->lastname }}" data-parsley-minlength="3" required>
                                    @error('lastname')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Email</label>
                                    <input type="email" name="email" class="form-control" placeholder="Email address" value="{{ $admin->email }}" parsley-type="email" required>
                                    @error('email')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Username</label>
                                    <input type="text" name="username" class="form-control" placeholder="Username" value="{{ $admin->username }}" data-parsley-minlength="3" required>
                                    @error('username')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Password</label>
                                    <input type="password" name="password" class="form-control" id="pass2" placeholder="Password" required>
                                    @error('password')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Confirm Password</label>
                                    <input type="password" class="form-control" data-parsley-equalto="#pass2" placeholder="Re-Type Password">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label>Mobile Number</label>
                                    <input type="text" name="mobile" class="form-control" placeholder="Mobile Number" value="{{ $admin->mobile }}" data-parsley-type="number" required>
                                    @error('mobile')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="role" class="form-label">Role Type</label>
                                    <select class="form-select" name="roleId" id="role" required>
                                        <option selected="" disabled="" value="">Choose Role Type</option>
                                        <option value="1" <?php if($admin->role_id == 1){ echo 'selected'; } ?>>Administrator</option>
                                        <option value="2" <?php if($admin->role_id == 2){ echo 'selected'; } ?>>Manager</option>
                                        <option value="3" <?php if($admin->role_id == 3){ echo 'selected'; } ?>>Executive</option>
                                    </select>
                                    @error('roleId')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label for="status" class="form-label">Status</label>
                                    <select class="form-select" name="status" required>
                                        <option disabled="" value="">Choose Status</option>
                                        <option value="707" <?php if($admin->status == 707){ echo 'selected'; } ?>>Active</option>
                                        <option value="505" <?php if($admin->status == 505){ echo 'selected'; } ?>>Inactive</option>
                                    </select>
                                    @error('status')
                                        <ul class="parsley-errors-list filled" id="parsley-id-25" aria-hidden="false"><li class="parsley-required">{{ $message }}</li></ul>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">&nbsp;</div>
                            </div>
                        </div>
                        <div class="mb-0">
                            <div>
                                <button type="submit" class="btn btn-primary waves-effect waves-light me-1">
                                    Submit
                                </button>
                                <button type="reset" class="btn btn-secondary waves-effect">
                                    Reset
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->
</div>
@endsection