@extends('front.layouts.app')

@section('content')
<!--Collection Banner-->
<div class="collection-header">
    <div class="collection-hero">
        <div class="collection-hero__image"></div>
        <div class="collection-hero__title-wrapper container">
            <h1 class="collection-hero__title">Order Confirmation</h1>
            <div class="breadcrumbs text-uppercase mt-1 mt-lg-2"><a href="{{ url('/') }}" title="Back to the home page">Home</a><span>|</span><span class="fw-bold">Order Confirmation</span></div>
        </div>
    </div>
</div>
<!--End Collection Banner-->

<!--Main Content-->
<div class="container">
    <div class="checkout-success-content py-2">
        <!--Order Card-->
        @if(count($order) > 0)
            @foreach ($order as $orderitem)
            <div class="row">
                <div class="col-12 col-sm-12 col-md-12 col-lg-12">
                    <div class="checkout-scard card border-0 rounded">
                        <div class="card-body text-center">
                            <p class="card-icon"><i class="icon an an-shield-check fs-1"></i></p>
                            <h4 class="card-title">Thank you for your order!</h4>
                            <p class="card-text mb-1">You will receive an order confirmation email with details of your order and a link to track its progress.</p>
                            <p class="card-text mb-1">All necessary information about the delivery, we sent to your email</p>
                            <p class="card-text text-order badge bg-success my-3">Your order is: <b> # {{ $orderitem->order_no }}</b></p>
                            <p class="card-text mb-0">Total Amount: <span class="h4"><span class="price-font">$</span>{{ $orderitem->total_order_amount }}</span></p>
                            <p class="card-text mb-0">Payment Method: <span class="h4">{{ $orderitem->payment_mode }}</span></p>
                            <p class="card-text mb-0">Order date: <span class="h4">{{ $orderitem->order_date }}</span></p>
                            
                        </div>
                    </div>
                </div>
            </div>
            @endforeach
        @endif
        <!-- <div class="card py-3 px-4 mt-4 bg-light"> -->
        
        <!-- </div> -->
        <!--End Order Card-->
    </div>
</div>
<!--End Main Content-->
@endsection
@push('custom-script')
<style>
    .radio {
        cursor: pointer;
    }
    label.radio input {
        position: absolute;
        top: 0;
        left: 0;
        visibility: hidden;
        pointer-events: none;
    }
    label.radio div {
        padding: 7px 14px;
        border: 2px solid #8f37aa;
        display: inline-block;
        color: #8f37aa;
        border-radius: 3px;
        text-transform: uppercase;
        width: 100%;
        margin-bottom: 10px;
    }
    label.radio input:checked + div {
        border-color: #8f37aa;
        background-color: #228190;
        color: #fff;
    }
</style>
@endpush