@extends('front.layouts.app')

@section('content')
<!--Collection Banner-->
<div class="collection-header">
    <div class="collection-hero">
        <div class="collection-hero__image"></div>
        <div class="collection-hero__title-wrapper container">
            <h1 class="collection-hero__title">Payment Process</h1>
            <div class="breadcrumbs text-uppercase mt-1 mt-lg-2"><a href="{{ url('/') }}" title="Back to the home page">Home</a><span>|</span><span class="fw-bold">Payment Process</span></div>
        </div>
    </div>
</div>
<!--End Collection Banner-->

<!--Main Content-->
<div class="container">
    <div class="checkout-success-content py-2">
        <!--Order Summary-->
        <div class="row">
            <div class="col-12 col-sm-12 col-md-12 col-lg-6">
                <div class="checkout-item-ordered">
                    <h2 class="fs-6 mb-3">Order Summary</h2>
                    <div class="table-content table-responsive order-table mb-4">
                        <table class="table table-bordered align-middle table-hover text-center mb-0">
                            <thead>
                                <tr>
                                    <th class="fw-bold">Image</th>
                                    <th class="text-start fw-600">Product Name</th>
                                    <th class="fw-600">Price</th>
                                    <th class="fw-600">Qty</th>
                                    <th class="fw-600">Subtotal</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if(count($orderDetails) > 0)
                                    @foreach($orderDetails as $detailitem)
                                    <tr>
                                        <td class="pro-img"><a href="product-layout1.html"><img class="primary blur-up lazyload" src="{{ $detailitem->product_image }}" alt="{{ $detailitem->product_name }}" title="{{ $detailitem->product_name }}" width="80" /></a></td>
                                        <td class="pro-name text-start">
                                            <a href="product-layout1.html" class="d-block">{{ $detailitem->product_name }}</a>
                                            <div class="cart__meta-text d-none">
                                                Color: Black<br>Size: Small<br>
                                            </div>
                                        </td>
                                        <td class="pro-price">${{ $detailitem->product_price }}</td>
                                        <td class="pro-qty">{{ $detailitem->order_quantity }}</td>
                                        <td class="pro-total fw-500">${{ $detailitem->product_price * $detailitem->order_quantity }}</td>
                                    </tr>
                                    @endforeach
                                @endif
                            </tbody>
                            <tfoot>
                                @if(count($order) > 0)
                                    @foreach ($order as $orderitem)
                                    <tr>
                                        <td colspan="4" class="item subtotal text-end fw-bolder">Subtotal:</td>
                                        <td class="fw-500 last">${{ $orderitem->total_order_amount }}</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="item tax text-end fw-bolder">Tax:</td>
                                        <td class="fw-500 last">$0.00</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="item discount text-end fw-bolder">Discount:</td>
                                        <td class="fw-500 last">$0.00</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="item shipping text-end fw-bolder">Shipping:</td>
                                        <td class="fw-500 last">${{ $orderitem->shipping_amount }}</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="item total text-end fw-bolder">Grand Total:</td>
                                        <td class="fw-500 last">${{ $orderitem->total_order_amount }}</td>
                                    </tr>
                                    @endforeach
                                @endif
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
            
            <div class="col-12 col-sm-12 col-md-12 col-lg-6">
                <div class="ship-info-details shipping-method-details">
                    <div class="row g-0">
                        <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                            <div class="shipping-details mb-4 mb-sm-0 clearfix">
                                <h3>Shipping Address</h3>
                                @if(count($order) > 0)
                                    @foreach ($order as $orderitem)
                                    <p>{{ $orderitem->shipping_address }},</p>
                                    <p>{{ $orderitem->shipping_city }}, {{ $orderitem->shipping_state_id }},</p>
                                    <p>{{ $orderitem->shipping_country_id }}</p>
                                    <p>{{ $orderitem->shipping_zip_code }}</p>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                        <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                            <div class="billing-details clearfix">
                                <h3>Billing Address</h3>
                                @if(count($order) > 0)
                                    @foreach ($order as $orderitem)
                                    <p>{{ $orderitem->shipping_address }},</p>
                                    <p>{{ $orderitem->shipping_city }}, {{ $orderitem->shipping_state_id }},</p>
                                    <p>{{ $orderitem->shipping_country_id }}</p>
                                    <p>{{ $orderitem->shipping_zip_code }}</p>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ship-info-details billing-payment-details d-none">
                    <div class="row g-0">
                        <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                            <div class="shipping-details mb-4 mb-sm-0 clearfix">
                                <h3>Shipping Method</h3>
                                <p>Flat Rate - Fixeds</p>
                                <p>Delivery Date: N/A</p>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                            <div class="billing-details clearfix">
                                <h3>Payment Method</h3>
                                <p>Check / Money order</p>
                                <p>Cash on delivery</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row g-0">
                    <div class="card card--grey" style="border: 1px solid #ddd;">
                        <div class="card-body">
                            <h2 class="fs-6">PAYMENT METHOD</h2>
                            <div class="row">
                                <div class="col-12">
                                    <div class="d-flex flex-column"> 
                                        <label class="radio">
                                            <input type="radio" name="payment_type" value="cod" id="COD" checked>
                                            <div class="d-flex justify-content-between">
                                                <span style="font-size: 15px;width: 75%;">Cash On Delivery</span>
                                                <span>
                                                    <img src="{{asset('front/images/cod.png')}}" width="40%" align="right"/>
                                                </span>
                                            </div>
                                        </label>
                                        <label class="radio">
                                            <input type="radio" name="payment_type" id="payumoney" value="payumoney">
                                            <div class="d-flex justify-content-between">
                                                <span style="font-size: 15px;width: 30%;">PayU Money</span>
                                                <span>
                                                    <img src="{{asset('front/images/payment.png')}}" width="70%" align="right"/>
                                                </span>
                                            </div>
                                        </label>
                                        <label class="radio">
                                            <input type="radio" name="payment_type" id="paypal" value="paypal">
                                            <div class="d-flex justify-content-between">
                                                <span style="font-size: 15px;width: 30%;">Paypal</span>
                                                <span><img src="{{asset('front/images/paypal.png')}}" width="70%" align="right"/></span>
                                            </div>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <form class="myform" name="payuForm">
                {{ csrf_field() }}
                    <div class="d-flex-wrap w-100 mt-4 text-center">
                        <div id="hiddenpayu" class="hiddenpayu"></div>
                        <button type="submit" class="cartCheckout fs-6 btn btn-lg rounded w-100 fw-600 text-white">Payment Process</button>
                    </div>
                </form>
            </div>
        </div>
        <!--End Order Summary-->
    </div>
</div>
<!--End Main Content-->
@endsection
@push('custom-script')
<style>
    .radio {
        cursor: pointer;
    }
    label.radio input {
        position: absolute;
        top: 0;
        left: 0;
        visibility: hidden;
        pointer-events: none;
    }
    label.radio div {
        padding: 7px 14px;
        border: 2px solid #8f37aa;
        display: inline-block;
        color: #8f37aa;
        border-radius: 3px;
        text-transform: uppercase;
        width: 100%;
        margin-bottom: 10px;
    }
    label.radio input:checked + div {
        border-color: #8f37aa;
        background-color: #228190;
        color: #fff;
    }
</style>
<script type="text/javascript">
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $(document).ready(function() {
        var email = "<?php echo $user[0]['email'] ?>";
        var fullname = "<?php echo $order[0]['shipping_first_name'] ?>";
        var amount = <?php echo $order[0]['total_order_amount'] ?>;
        var orderNumber = <?php echo $order[0]['order_no'] ?>;
        $('#payumoney').click(function() {
            $.ajax({  
                url:"{{ url('/getpayuhash') }}",
                type:"POST",
                data: {
                    email: email,
                    fullname: fullname,
                    amount: amount,
                    orderNumber: orderNumber
                },
                success:function (data) {
                    $(".hiddenpayu").empty();
                    $(".myform").attr('action', '');
                    $('#hiddenpayu').append('<input type="hidden" name="key" value="'+data.MERCHANT_KEY+'"/><input type="hidden" name="hash" value="'+data.hash+'"/><input type="hidden" name="txnid" value="'+data.txnid+'" /><input type="hidden" name="amount" value="'+data.amount+'" /><input type="hidden" name="firstname" id="firstname" value="'+data.name+'" /><input type="hidden" name="email" id="email" value="'+data.email+'" /><input type="hidden" name="productinfo" value="Webappfix"><input type="hidden" name="surl" value="'+data.successURL+'" /><input type="hidden" name="furl" value="'+data.failURL+'" /><input type="hidden" name="service_provider" value="payu_paisa"/>');
                    $(".myform").attr('action', data.action);
                    $(".myform").attr('method', "post");
                    
                }
            })
        });
    });
</script>
<script>
    var email = "<?php echo $user[0]['email'] ?>";
    var fullname = "<?php echo $order[0]['shipping_first_name'] ?>";
    var amount = <?php echo $order[0]['total_order_amount'] ?>;
    var orderNo = <?php echo $order[0]['order_no'] ?>;
    $('#paypal').click(function() {
        $(".hiddenpayu").empty();
        $(".myform").attr('action', '');
        $('.hiddenpayu').append('<input type="hidden" name="order_no" value="'+orderNo+'"/>');
        $(".myform").attr('action', '{{ route("make.payment") }}');
        $(".myform").attr('method', "post");
    });
</script>
<script>
    var orderNo = <?php echo $order[0]['order_no'] ?>;
    $('#COD').click(function() {
        $(".hiddenpayu").empty();
        $(".myform").attr('action', '');
        $('.hiddenpayu').append('<input type="hidden" name="order_no" value="'+orderNo+'"/>');
        $(".myform").attr('action', '{{ route("make.paymentcod") }}');
        $(".myform").attr('method', "post");
    });
</script>
@endpush