@extends('front.layouts.app')

@section('content')
<!--Breadcrumbs-->
<div class="breadcrumbs-wrapper text-uppercase">
    <div class="container">
        <div class="breadcrumbs"><a href="{{url('/')}}" title="Back to the home page">Home</a><span>|</span><span class="fw-bold">{{$product->product_name}}</span></div>
    </div>
</div>
<!--End Breadcrumbs-->

<!--Main Content-->
<div class="container">
    <!--Product Content-->
    <div class="product-single">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                <div class="product-details-img product-horizontal-style clearfix mb-3 mb-md-0">
                    <div class="zoompro-wrap product-zoom-right w-100 p-0">
                        <div class="zoompro-span"><img id="zoompro" class="zoompro" src="{{ asset('products') }}/{{$product->productImages->first()->product_image}}" data-zoom-image="{{ asset('products') }}/{{$product->productImages->first()->product_image}}" alt="product" /></div>
                        <div class="product-labels d-none"><span class="lbl pr-label1">new</span></div>
                        <div class="product-buttons">
                            <!-- <a href="https://www.youtube.com/watch?v=93A2jOW5Mog" class="mfpbox mfp-with-anim btn rounded popup-video"><i class="icon an an-video"></i><span class="tooltip-label">Watch Video</span></a> -->
                            <a href="#" class="btn rounded prlightbox"><i class="icon an an-expand-l-arrows"></i><span class="tooltip-label">Zoom Image</span></a>
                        </div>
                    </div>
                    <div class="product-thumb product-horizontal-thumb w-100 pt-2 mt-1">
                        <div id="gallery" class="product-thumb-style1 overflow-hidden">
                            @foreach($product->productImages as $key=>$singleImage)
                                @if($key == 0)
                                <a data-image="{{ asset('products') }}/{{$singleImage->product_image}}" data-zoom-image="{{ asset('products') }}/{{$singleImage->product_image}}" class="slick-slide slick-cloned active">
                                    <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="product" />
                                </a>
                                @else
                                <a data-image="{{ asset('products') }}/{{$singleImage->product_image}}" data-zoom-image="{{ asset('products') }}/{{$singleImage->product_image}}" class="slick-slide slick-cloned">
                                    <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="product" />
                                </a>
                                @endif
                            @endforeach
                        </div>
                    </div>
                    <div class="lightboximages">
                        @foreach($product->productImages as $key=>$singleImage)
                        <a href="{{ asset('products') }}/{{$singleImage->product_image}}" data-size="1000x1280"></a>
                        @endforeach
                    </div>
                </div>
            </div>

            <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                <!-- Product Info -->
                <div class="product-single__meta">
                    <h1 class="product-single__title">{{$product->product_name}}</h1>
                    <!-- Product Reviews -->
                    <div class="product-review"><a class="reviewLink d-flex-center" href="#reviews"><i class="an an-star"></i><i class="an an-star mx-1"></i><i class="an an-star"></i><i class="an an-star mx-1"></i><i class="an an-star-o"></i><span class="spr-badge-caption ms-2">16 Reviews</span></a></div>
                    <!-- End Product Reviews -->
                    <!-- Product Info -->
                    <div class="product-info mt-2">
                        <!-- <p class="product-type">Vendor: <span>Bohemian France</span></p>  
                        <p class="product-type">Type: <span>Floral Top</span></p>   -->
                        <p class="product-sku">SKU: <span class="variant-sku">{{$product->sku}}</span></p>
                    </div>
                    <!-- End Product Info -->
                    <!-- Product Price -->
                    <div class="product-single__price pb-0 mb-0">
                        <span class="visually-hidden">Regular price</span>
                        <span class="product-price__sale--single">
                            @if($product->discount_price > 0)
                                <span class="product-price-old-price">${{$product->product_price}}</span>
                            @endif
                            <span class="product-price__price product-price__sale">${{$product->net_price}}</span>
                            @if($product->discount_price > 0)
                            <span class="discount-badge"><span class="devider me-2">|</span><span>Save: </span><span class="product-single__save-amount"><span class="money">${{$product->discount_price}}</span></span></span> 
                            @endif
                        </span>

                    </div>
                    <!-- End Product Price -->               
                    <!-- Product Sold -->
                    <div class="orderMsg d-flex-center d-none" data-user="23" data-time="24">
                        <img src="images/order-icon.jpg" alt="order" />
                        <p class="m-0"><strong class="items">8</strong> Sold in last <strong class="time">14</strong> hours</p>
                        <p id="quantity_message" class="ms-2 ps-2 border-start">Hurry! Only  <span class="items fw-bold">4</span>  left in stock.</p>
                    </div>
                    <!-- End Product Sold -->
                </div>
                <!-- End Product Info -->
                <div class="product-single__description rte">
                    <p class="mb-2">{{$product->short_description}}</p>
                </div>
                <!-- Product Form -->
                <form method="post" action="#" class="product-form form-bordered hidedropdown">
                    <!-- Product Action -->
                    <div class="product-action w-100 clearfix">
                        <div class="product-form__item--quantity d-flex-center mb-3 d-none">
                            <div class="qtyField">
                                <a class="qtyBtn minus" href="javascript:void(0);"><i class="icon an an-minus-r" aria-hidden="true"></i></a>
                                <input type="text" name="quantity" value="1" class="product-form__input qty rounded">
                                <a class="qtyBtn plus" href="javascript:void(0);"><i class="icon an an-plus-r" aria-hidden="true"></i></a>
                            </div>
                            <div class="pro-stockLbl ms-3">
                                <span class="d-flex-center stockLbl instock"><i class="icon an an-check-cil"></i><span> In stock</span></span>
                                <span class="d-flex-center stockLbl preorder d-none"><i class="icon an an-clock-r"></i><span> Pre-order Now</span></span>
                                <span class="d-flex-center stockLbl outstock d-none"><i class="icon an an-times-cil"></i> <span>Sold out</span></span>
                                <span class="d-flex-center stockLbl lowstock d-none" data-qty="15"><i class="icon an an-exclamation-cir"></i><span> Order now, Only  <span class="items">10</span>  left!</span></span>
                            </div>
                        </div>
                        <div class="product-form__item--submit ">
                            <button type="submit" name="add" class="btn rounded product-form__cart-submit mb-0"><span>Add to cart</span></button>
                            <button type="submit" name="add" class="btn rounded product-form__sold-out mb-0 d-none" disabled="disabled">Sold out</button>
                        </div>
                        <div class="product-form__item--buyit clearfix">
                            <button type="button" class="btn rounded btn-secondary proceed-to-checkout">Buy it now</button>
                        </div>
                        <div class="agree-check customCheckbox clearfix d-none">
                            <input id="prTearm" name="tearm" type="checkbox" value="tearm" required />
                            <label for="prTearm">I agree with the terms and conditions</label>
                        </div>
                    </div>
                    <!-- End Product Action -->
                    <!-- Product Info link -->
                    <p class="infolinks d-flex-center mt-2 mb-0">
                        <a class="btn add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l me-1" aria-hidden="true"></i><span> Add to Wishlist</span></a>
                        <a class="btn add-to-compare" href="compare-style1.html"><i class="icon an an-sync-ar me-1" aria-hidden="true"></i><span> Add to Compare</span></a>
                        <a class="btn shippingInfo" href="#ShippingInfo"><i class="icon an an-paper-l-plane me-1"></i><span> Delivery &amp; Returns</span></a>
                        <a class="btn emaillink me-0" href="#productInquiry"> <i class="icon an an-question-cil me-1"></i><span> Enquiry</span></a>
                    </p>
                    <!-- End Product Info link -->
                </form>
                <!-- End Product Form -->                                
                <!-- Product Info -->
                <div class="freeShipMsg" data-price="199"><i class="icon an an-truck" aria-hidden="true"></i>SPENT <b class="freeShip"><span class="money" data-currency-usd="$199.00" data-currency="USD">$199.00</span></b> MORE FOR FREE SHIPPING</div>
                <div class="shippingMsg"><i class="icon an an-clock-r" aria-hidden="true"></i>Estimated Delivery Between <b id="fromDate">Wed, May 1</b> and <b id="toDate">Tue, May 7</b>.</div>
                <div class="userViewMsg" data-user="20" data-time="11000"><i class="icon an an-eye-r" aria-hidden="true"></i><strong class="uersView">21</strong> People are Looking for this Product</div>
                <div class="trustseal-img mt-4 d-none"><img src="images/powerby-cards.jpg" alt="powerby cards" /></div>
                <!-- End Product Info -->
                <!-- Product Info -->
                <div class="product-info d-none">
                    <p class="product-cat">Category: <span><a href="#">All</a>, <a href="#">Fashion</a>, <a href="#">Tops</a>, <a href="#">Women</a>, <a href="#">New Arrivals</a></span></p>
                    <p class="product-tags">Tags: <span><a href="#">$10 - $100</a>, <a href="#">Optimal</a>, <a href="#">Green</a>, <a href="#">XL</a>, <a href="#">Sale</a>, <a href="#">Women</a></span></p>
                </div>
                <!-- End Product Info -->
                <!-- Social Sharing -->
                <div class="social-sharing d-flex-center my-3">
                    <span class="sharing-lbl me-2">Share :</span>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-facebook" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on Facebook"><i class="icon an an-facebook"></i><span class="share-title">Facebook</span></a>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-twitter" data-bs-toggle="tooltip" data-bs-placement="top" title="Tweet on Twitter"><i class="icon an an-twitter"></i><span class="share-title">Tweet</span></a>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-pinterest" data-bs-toggle="tooltip" data-bs-placement="top" title="Pin on Pinterest"><i class="icon an an-pinterest-p"></i> <span class="share-title">Pin it</span></a>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-linkedin" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on Linkedin"><i class="icon an an-linkedin"></i><span class="share-title">Linkedin</span></a>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-email" data-bs-toggle="tooltip" data-bs-placement="top" title="Share by Email"><i class="icon an an-envelope-l"></i><span class="share-title">Email</span></a>
                    <a href="#" class="d-flex-center btn btn-link btn--share share-whatsapp" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on Whatsapp"><i class="icon an an-whatsapp"></i><span class="share-title">Whatsapp</span></a>
                </div>
                <!-- End Social Sharing -->
                <!-- Store Info -->
                <div class="safecheckout row">
                    <div class="col-lg-3 item d-flex fl-1 align-items-center mb-2">
                        <div class="icon"><i class="icon an an-truck"></i></div>
                        <div class="content">Free & fast shipping</div>
                    </div>
                    <div class="col-lg-3 item d-flex fl-1 align-items-center mb-2">
                        <div class="icon"><i class="icon an an-shield"></i></div>
                        <div class="content">Secure checkout</div>
                    </div>
                    <div class="col-lg-3 item d-flex fl-1 align-items-center mb-2">
                        <div class="icon"><i class="icon an an-thumbs-up-l"></i></div>
                        <div class="content">Satisfaction guarantee</div>
                    </div>
                    <div class="col-lg-3 item d-flex fl-1 align-items-center mb-2">
                        <div class="icon"><i class="icon an an-lock-al"></i></div>
                        <div class="content">Privacy protected</div>
                    </div>
                </div>
                <!-- End Store Info -->
            </div>
        </div>
    </div>
    <!--Product Content-->

    <!--Product Tabs-->
    <div class="tabs-listing mt-0 mt-md-5">
        <ul class="product-tabs list-unstyled d-flex-wrap justify-content-center m-0 d-none d-md-flex">
            <li rel="description" class="active"><a class="tablink">Description</a></li>
            <li rel="shipping-return"><a class="tablink">Shipping &amp; Return</a></li>
            <li rel="reviews"><a class="tablink">Reviews</a></li>
        </ul>
        <div class="tab-container">
            <h3 class="tabs-ac-style d-md-none active" rel="description">Description</h3>
            <div id="description" class="tab-content">
                <div class="product-description">
                    <div class="row">
                        <div class="col-12 col-sm-12 col-md-12 col-lg-12">
                            <p>{!! $product->description !!}</p>
                        </div>
                    </div>
                </div>
            </div>

            <h3 class="tabs-ac-style d-md-none" rel="shipping-return">Shipping &amp; Return</h3>
            <div id="shipping-return" class="tab-content">
                <h4 class="pt-2 text-uppercase">Delivery</h4>
                <ul>
                    <li>Dispatch: Within 24 Hours</li>
                    <li>Free shipping across all products on a minimum purchase of $50.</li>
                    <li>International delivery time - 7-10 business days</li>
                    <li>Cash on delivery might be available</li>
                    <li>Easy 30 days returns and exchanges</li>
                </ul>
                <h4 class="pt-2 text-uppercase">Returns</h4>
                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>
                <h4 class="pt-2 text-uppercase">Shipping</h4>
                <p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage.</p>
            </div>

            <h3 class="tabs-ac-style d-md-none" rel="reviews">Review</h3>
            <div id="reviews" class="tab-content">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-12 col-lg-12">
                        <div class="spr-header clearfix d-flex-center justify-content-between">
                            <div class="product-review d-flex-center me-auto">
                                <a class="reviewLink" href="#"><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star-o"></i></a>
                                <span class="spr-summary-actions-togglereviews ms-2">Based on 6 reviews 234</span>
                            </div>
                            <div class="spr-summary-actions mt-3 mt-sm-0">
                                <a href="#" class="spr-summary-actions-newreview write-review-btn btn rounded"><i class="icon an-1x an an-pencil-alt me-2"></i>Write a review</a>
                            </div>
                        </div>

                        <form method="post" action="#" class="product-review-form new-review-form mb-4">
                            <h4 class="spr-form-title text-uppercase">Write A Review</h4>
                            <fieldset class="spr-form-contact">
                                <div class="spr-form-contact-name form-group">
                                    <label class="spr-form-label" for="nickname">Name <span class="required">*</span></label>
                                    <input class="spr-form-input spr-form-input-text" id="nickname" type="text" name="name" placeholder="John smith" required />
                                </div>
                                <div class="spr-form-contact-email form-group">
                                    <label class="spr-form-label" for="email">Email <span class="required">*</span></label>
                                    <input class="spr-form-input spr-form-input-email " id="email" type="email" name="email" placeholder="info@example.com" required />
                                </div>
                                <div class="spr-form-review-rating form-group">
                                    <label class="spr-form-label">Rating</label>
                                    <div class="product-review pt-1">
                                        <div class="review-rating">
                                            <input type="radio" name="rating" id="rating-5"><label for="rating-5"></label>
                                            <input type="radio" name="rating" id="rating-4"><label for="rating-4"></label>
                                            <input type="radio" name="rating" id="rating-3"><label for="rating-3"></label>
                                            <input type="radio" name="rating" id="rating-2"><label for="rating-2"></label>
                                            <input type="radio" name="rating" id="rating-1"><label for="rating-1"></label>
                                        </div>
                                        <a class="reviewLink d-none" href="#"><i class="icon an an-star-o"></i><i class="icon an an-star-o mx-1"></i><i class="icon an an-star-o"></i><i class="icon an an-star-o mx-1"></i><i class="icon an an-star-o"></i></a>
                                    </div>
                                </div>
                                <div class="spr-form-review-title form-group">
                                    <label class="spr-form-label" for="review">Review Title </label>
                                    <input class="spr-form-input spr-form-input-text " id="review" type="text" name="review" placeholder="Give your review a title" />
                                </div>
                                <div class="spr-form-review-body form-group">
                                    <label class="spr-form-label" for="message">Body of Review <span class="spr-form-review-body-charactersremaining">(1500) characters remaining</span></label>
                                    <div class="spr-form-input">
                                        <textarea class="spr-form-input spr-form-input-textarea " id="message" name="message" rows="5" placeholder="Write your comments here"></textarea>
                                    </div>
                                </div>
                            </fieldset>
                            <div class="spr-form-actions clearfix">
                                <input type="submit" class="btn btn-primary rounded spr-button spr-button-primary" value="Submit Review">
                            </div>
                        </form>
                    </div>
                    <div class="col-12 col-sm-12 col-md-12 col-lg-12">
                        <div class="spr-reviews">
                            <h4 class="spr-form-title text-uppercase mb-3">Customer Reviews</h4>
                            <div class="review-inner">
                                <div class="spr-review">
                                    <div class="spr-review-header">
                                        <span class="product-review spr-starratings"><span class="reviewLink"><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star-o"></i></span></span>
                                        <h5 class="spr-review-header-title mt-1">Lorem ipsum dolor sit amet</h5>
                                        <span class="spr-review-header-byline"><strong>Avone</strong> on <strong>Apr 09, 2021</strong></span>
                                    </div>
                                    <div class="spr-review-content">
                                        <p class="spr-review-content-body">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                                    </div>
                                </div>
                                <div class="spr-review">
                                    <div class="spr-review-header">
                                        <span class="product-review spr-starratings"><span class="reviewLink"><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star"></i><i class="icon an an-star-o mx-1"></i><i class="icon an an-star-o"></i></span></span>
                                        <h5 class="spr-review-header-title mt-1">Simply text of the printing</h5>
                                        <span class="spr-review-header-byline"><strong>Diva</strong> on <strong>May 30, 2021</strong></span>
                                    </div>

                                    <div class="spr-review-content">
                                        <p class="spr-review-content-body">Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.
                                        </p>
                                    </div>
                                </div>
                                <div class="spr-review">
                                    <div class="spr-review-header">
                                        <span class="product-review spr-starratings"><span class="reviewLink"><i class="icon an an-star"></i><i class="icon an an-star mx-1"></i><i class="icon an an-star-o"></i><i class="icon an an-star-o mx-1"></i><i class="icon an an-star-o"></i></span></span>
                                        <h5 class="spr-review-header-title mt-1">Neque porro quisquam est qui dolorem ipsum</h5>
                                        <span class="spr-review-header-byline"><strong>Belle</strong> on <strong>Dec 30, 2021</strong></span>
                                    </div>

                                    <div class="spr-review-content">
                                        <p class="spr-review-content-body">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--End Product Tabs-->
</div>
<!--End Container-->

<!--Customize Services-->
<div class="section about-service product-service pb-0">
    <div class="container">
        <div class="section-header col-12">
            <h2 class="text-transform-none">Why Myteepol?</h2>
        </div>
        <div class="row">
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 text-center mb-4 mb-md-0">
                <div class="service-info">
                    <i class="icon an an-desktop mb-3"></i>
                    <div class="text">
                        <h4>Design Quality</h4>
                        <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for interested.</p>
                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 text-center mb-4 mb-md-0">
                <div class="service-info">
                    <i class="icon an an-mobile-alt mb-3"></i>
                    <div class="text">
                        <h4>Mobile First Design</h4>
                        <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for interested.</p>
                    </div>
                </div>
            </div>
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 text-center mb-0 mb-md-0">
                <div class="service-info">
                    <i class="icon an an-sort-amount-up mb-3"></i>
                    <div class="text">
                        <h4>High Speed & Performance</h4>
                        <p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for interested.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--End Customize Services-->
@endsection
@push('custom-script')
<!-- Photoswipe Gallery -->
<script src="{{ asset('front/js/photoswipe.min.js') }}"></script>
<script>
    $(function () {
        var $pswp = $('.pswp')[0],
                image = [],
                getItems = function () {
                    var items = [];
                    $('.lightboximages a').each(function () {
                        var $href = $(this).attr('href'),
                                $size = $(this).data('size').split('x'),
                                item = {
                                    src: $href,
                                    w: $size[0],
                                    h: $size[1]
                                };
                        items.push(item);
                    });
                    return items;
                };
        var items = getItems();

        $.each(items, function (index, value) {
            image[index] = new Image();
            image[index].src = value['src'];
        });
        $('.prlightbox').on('click', function (event) {
            event.preventDefault();

            var $index = $(".active-thumb").parent().attr('data-slick-index');
            $index++;
            $index = $index - 1;

            var options = {
                index: $index,
                bgOpacity: 0.7,
                showHideOpacity: true
            };
            var lightBox = new PhotoSwipe($pswp, PhotoSwipeUI_Default, items, options);
            lightBox.init();
        });
    });
</script>
@endpush
