@extends('front.layouts.app')

@section('content')
<!--Collection Banner-->
<div class="collection-header">
    <div class="collection-hero">
        <div class="collection-hero__image"></div>
        <div class="collection-hero__title-wrapper container">
            <h2 class="collection-hero__title">Shop Left Sidebar</h2>
            <div class="breadcrumbs text-uppercase mt-1 mt-lg-2"><a href="{{ url('/') }}" title="Back to the home page">Home</a><span>|</span><span class="fw-bold">Products</span></div>
        </div>
    </div>
</div>
<!--End Collection Banner-->

<div class="container">
    <div class="row">
        <!--Sidebar-->
        <div class="col-12 col-sm-12 col-md-12 col-lg-3 sidebar filterbar">
            <div class="closeFilter d-block d-lg-none"><i class="icon icon an an-times-r"></i></div>
            <div class="sidebar_tags">
                <!--Categories-->
                <div class="sidebar_widget categories filterBox filter-widget">
                    <div class="widget-title"><h2 class="mb-0">Categories</h2></div>
                    <div class="widget-content filterDD">
                        <ul class="clearfix sidebar_categories mb-0">
                            <li class="lvl-1 sub-level"><a href="#;" class="site-nav">Clothing</a>
                                <ul class="sublinks">
                                    <li class="level2 sub-level sub-sub-level"><a href="#;" class="site-nav">Men</a>
                                        <ul class="sublinks mb-0">
                                            <li class="level3"><a href="#" class="site-nav">Shirt</a></li>
                                            <li class="level3"><a href="#" class="site-nav">Jeans</a></li>
                                            <li class="level3"><a href="#" class="site-nav">Shoes</a></li>
                                        </ul>
                                    </li>
                                    <li class="level2"><a href="#" class="site-nav">Women</a></li>
                                    <li class="level2"><a href="#" class="site-nav">Child</a></li>
                                    <li class="level2"><a href="#" class="site-nav">View All Clothing</a></li>
                                </ul>
                            </li>
                            <li class="lvl-1 sub-level"><a href="#;" class="site-nav">Jewellery</a>
                                <ul class="sublinks">
                                    <li class="level2"><a href="#" class="site-nav">Ring</a></li>
                                    <li class="level2"><a href="#" class="site-nav">Neckalses</a></li>
                                    <li class="level2"><a href="#" class="site-nav">Eaarings</a></li>
                                    <li class="level2"><a href="#" class="site-nav">View All Jewellery</a></li>
                                </ul>
                            </li>
                            <li class="lvl-1"><a href="#" class="site-nav">Shoes</a></li>
                            <li class="lvl-1"><a href="#" class="site-nav">Accessories</a></li>
                            <li class="lvl-1"><a href="#" class="site-nav">Collections</a></li>
                            <li class="lvl-1"><a href="#" class="site-nav">Sale</a></li>
                        </ul>
                    </div>
                </div>
                <!--Categories-->
                <!--Price Filter-->
                <div class="sidebar_widget filterBox filter-widget">
                    <div class="widget-title"><h2 class="mb-0">Price</h2></div>
                    <form action="#" method="post" class="price-filter filterDD">
                        <div id="slider-range" class="mt-2"></div>
                        <div class="row">
                            <div class="col-6">
                                <p class="no-margin"><input id="amount" type="text"></p>
                            </div>
                            <div class="col-6 text-right margin-25px-top">
                                <button class="btn btn--small rounded">filter</button>
                            </div>
                        </div>
                    </form>
                </div>
                <!--End Price Filter-->
                <!--Availability-->
                <div class="sidebar_widget filterBox filter-widget size-swacthes availability">
                    <div class="widget-title"><h2 class="mb-0">Availability</h2></div>
                    <div class="filterDD">
                        <ul class="clearfix">
                            <li><input type="checkbox" value="instock" id="instock"><label for="instock"><span></span>In stock</label></li>
                            <li><input type="checkbox" value="outofstock" id="outofstock"><label for="outofstock"><span></span>Out of stock</label></li>
                        </ul>
                    </div>
                </div>
                <!--End Availability-->
                <!--Popular Products-->
                <div class="sidebar_widget sidePro">
                    <div class="widget-title"><h2>Popular Products</h2></div>
                    <div class="widget-content">
                        <div class="sideProSlider grid-products">
                            <div class="col-12 item">
                                <!--Start Product Image-->
                                <div class="product-image">
                                    <!--Start Product Image-->
                                    <a href="product-layout1.html" class="product-img">
                                        <!-- image -->
                                        <img class="primary blur-up lazyload" data-src="{{ asset('front/images/product-1.jpg') }}" src="{{ asset('front/images/product-1.jpg') }}" alt="image" title="">
                                        <!-- End image -->
                                        <!-- Hover image -->
                                        <img class="hover blur-up lazyload" data-src="{{ asset('front/images/product-1-1.jpg') }}" src="{{ asset('front/images/product-1-1.jpg') }}" alt="image" title="">
                                        <!-- End hover image -->
                                    </a>
                                    <!--End Product Image-->

                                    <!--Countdown Timer-->
                                    <div class="saleTime" data-countdown="2029/03/01"></div>
                                    <!--End Countdown Timer-->

                                    <!--Product Button-->
                                    <div class="button-set style0 d-none d-md-block">
                                        <ul>
                                            <!--Cart Button-->
                                            <li><a class="btn-icon btn cartIcon pro-addtocart-popup" href="#pro-addtocart-popup"><i class="icon an an-cart-l"></i> <span class="tooltip-label top">Add to Cart</span></a></li>
                                            <!--End Cart Button-->
                                            <!--Quick View Button-->
                                            <li><a class="btn-icon quick-view-popup quick-view" href="javascript:void(0)" data-toggle="modal" data-target="#content_quickview"><i class="icon an an-search-l"></i> <span class="tooltip-label top">Quick View</span></a></li>
                                            <!--End Quick View Button-->
                                            <!--Wishlist Button-->
                                            <li><a class="btn-icon wishlist add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l"></i> <span class="tooltip-label top">Add To Wishlist</span></a></li>
                                            <!--End Wishlist Button-->
                                            <!--Compare Button-->
                                            <li><a class="btn-icon compare add-to-compare" href="compare-style2.html"><i class="icon an an-sync-ar"></i> <span class="tooltip-label top">Add to Compare</span></a></li>
                                            <!--End Compare Button-->
                                        </ul>
                                    </div>
                                    <!--End Product Button-->  
                                </div>
                                <!--End Product Image-->
                                <!--Start Product Details-->
                                <div class="product-details text-center">
                                    <!--Product Name-->
                                    <div class="product-name text-uppercase">
                                        <a href="product-layout1.html">Floral Crop Top</a>
                                    </div>
                                    <!--End Product Name-->
                                    <!--Product Price-->
                                    <div class="product-price">
                                        <span class="old-price">$199.00</span>
                                        <span class="price">$219.00</span>
                                    </div>
                                    <!--End Product Price-->
                                    <!--Product Review-->
                                    <div class="product-review d-flex align-items-center justify-content-center">
                                        <i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star-o"></i>
                                        <span class="caption hidden ms-2">3 reviews</span>
                                    </div>
                                    <!--End Product Review-->
                                    <!--Color Variant -->
                                    <ul class="image-swatches swatches mb-0">
                                        <li class="radius blue medium"><span class="swacth-btn"></span><span class="tooltip-label">Blue</span></li>
                                        <li class="radius pink medium"><span class="swacth-btn"></span><span class="tooltip-label">Pink</span></li>
                                        <li class="radius red medium"><span class="swacth-btn"></span><span class="tooltip-label">Red</span></li>
                                        <li class="radius yellow medium"><span class="swacth-btn"></span><span class="tooltip-label">Yellow</span></li>
                                    </ul>
                                    <!--End Color Variant-->
                                </div>
                                <!--End Product Details-->
                            </div>
                            <div class="col-12 item">
                                <!--Start Product Image-->
                                <div class="product-image">
                                    <!--Start Product Image-->
                                    <a href="product-layout1.html" class="product-img">
                                        <!-- image -->
                                        <img class="primary blur-up lazyload" data-src="{{ asset('front/images/product-2.jpg') }}" src="{{ asset('front/images/product-2.jpg') }}" alt="image" title="">
                                        <!-- End image -->
                                        <!-- Hover image -->
                                        <img class="hover blur-up lazyload" data-src="{{ asset('front/images/product-2-1.jpg') }}" src="{{ asset('front/images/product-2-1.jpg') }}" alt="image" title="">
                                        <!-- End hover image -->
                                        <!-- product label -->
                                        <div class="product-labels"><span class="lbl on-sale rounded">Sale</span></div>
                                        <!-- End product label -->
                                    </a>
                                    <!--End Product Image-->

                                    <!--Product Button-->
                                    <div class="button-set style0 d-none d-md-block">
                                        <ul>
                                            <!--Cart Button-->
                                            <li><a class="btn-icon btn cartIcon pro-quickshop-popup" href="#pro-quickshop2" data-bs-toggle="offcanvas" data-bs-target="#pro-quickshop2" aria-controls="pro-quickshop2"><i class="icon an an-cart-l"></i> <span class="tooltip-label top">Quick Shop</span></a></li>
                                            <!--End Cart Button-->
                                            <!--Quick View Button-->
                                            <li><a class="btn-icon quick-view-popup quick-view" href="javascript:void(0)" data-toggle="modal" data-target="#content_quickview"><i class="icon an an-search-l"></i> <span class="tooltip-label top">Quick View</span></a></li>
                                            <!--End Quick View Button-->
                                            <!--Wishlist Button-->
                                            <li><a class="btn-icon wishlist add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l"></i> <span class="tooltip-label top">Add To Wishlist</span></a></li>
                                            <!--End Wishlist Button-->
                                            <!--Compare Button-->
                                            <li><a class="btn-icon compare add-to-compare" href="compare-style2.html"><i class="icon an an-sync-ar"></i> <span class="tooltip-label top">Add to Compare</span></a></li>
                                            <!--End Compare Button-->
                                        </ul>
                                    </div>
                                    <!--End Product Button-->  

                                    <!-- Product Quickshop Form -->
                                    <div class="quickshop-content d-flex-center" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1" id="pro-quickshop2">
                                        <button type="button" class="btn-close text-reset ms-auto position-absolute top-0 end-0 m-1" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                                        <div class="offcanvas-body quickshop-variant h-100 d-flex align-items-start align-items-sm-center">
                                            <form method="post" action="#" id="product_form_1053" class="product-form align-items-center text-center hidedropdown" accept-charset="UTF-8" enctype="multipart/form-data">
                                                <!-- Product Price -->
                                                <div class="product-single__price lh-1 mb-3 mt-0 mx-auto">
                                                    <span class="visually-hidden">Regular price</span>
                                                    <span class="product-price__sale--single">
                                                        <span class="product-price-old-price d-none">$200.00</span><span class="product-price__price product-price__sale0">$199.00</span>   
                                                    </span>
                                                </div>
                                                <!-- End Product Price -->
                                                <!-- Swatches Color -->
                                                <div class="swatches-image swatch clearfix mb-3 swatch-0 option1" data-option-index="0">
                                                    <div class="product-form__item">
                                                        <label class="label d-flex justify-content-center">Color:<span class="required d-none">*</span><span class="slVariant ms-1 fw-bold">Black</span></label>
                                                        <ul class="swatches d-flex-justify-center list-unstyled m-0 clearfix">
                                                            <li class="swatch-element rounded-0 color gray available active">
                                                                <label class="swatchLbl rounded-0 color small gray" title="Gray"></label>
                                                                <span class="tooltip-label top">Gray</span>
                                                            </li>
                                                            <li data-value="Peach" class="swatch-element rounded-0 color orange available">
                                                                <label class="swatchLbl rounded-0 color small orange" title="Orange"></label>
                                                                <span class="tooltip-label top">Orange</span>
                                                            </li>
                                                            <li data-value="White" class="swatch-element rounded-0 color brown available">
                                                                <label class="swatchLbl rounded-0 color small brown" title="Brown"></label>
                                                                <span class="tooltip-label top">Brown</span>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <!-- End Swatches Color -->
                                                <!-- Swatches Size -->
                                                <div class="swatch clearfix mb-3 swatch-1 option2" data-option-index="1">
                                                    <div class="product-form__item">
                                                        <label class="label d-flex justify-content-center">Size:<span class="required d-none">*</span><span class="slVariant ms-1 fw-bold">S</span></label>
                                                        <ul class="swatches-size d-flex-justify-center list-unstyled m-0 clearfix">
                                                            <li data-value="S" class="swatch-element s available active">
                                                                <label class="swatchLbl rounded-0 medium" title="S">S</label><span class="tooltip-label">S</span>
                                                            </li>
                                                            <li data-value="M" class="swatch-element m available">
                                                                <label class="swatchLbl rounded-0 medium" title="M">M</label><span class="tooltip-label">M</span>
                                                            </li>
                                                            <li data-value="L" class="swatch-element l available">
                                                                <label class="swatchLbl rounded-0 medium" title="L">L</label><span class="tooltip-label">L</span>
                                                            </li>
                                                            <li data-value="XL" class="swatch-element xl available">
                                                                <label class="swatchLbl rounded-0 medium" title="XL">XL</label><span class="tooltip-label">XL</span>
                                                            </li>
                                                            <li data-value="XS" class="swatch-element xs soldout">
                                                                <label class="swatchLbl rounded-0 medium" title="XS">XS</label><span class="tooltip-label">XS</span>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <!-- End Swatches Size -->
                                                <!-- Product Action -->
                                                <div class="product-form-submit mx-auto">
                                                    <button type="submit" name="add" class="btn rounded product-form__cart-submit btn-small px-3"><span>Add to cart</span></button>
                                                    <button type="submit" name="add" class="btn rounded product-form__sold-out btn-small px-3 d-none" disabled="disabled">Sold out</button>
                                                    <button type="button" name="buy" class="btn rounded btn-outline-primary proceed-to-checkout btn-small px-3 d-none">Buy it now</button>
                                                </div>
                                                <!-- End Product Action -->
                                            </form>
                                        </div>
                                    </div>
                                    <!-- End Product Quickshop Form -->
                                </div>
                                <!--End Product Image-->
                                <!--Start Product Details-->
                                <div class="product-details text-center">
                                    <!--Product Name-->
                                    <div class="product-name text-uppercase">
                                        <a href="product-layout1.html">Mini Sleev Top</a>
                                    </div>
                                    <!--End Product Name-->
                                    <!--Product Price-->
                                    <div class="product-price">
                                        <span class="price">$199.00</span>
                                    </div>
                                    <!--End Product Price-->
                                    <!--Product Review-->
                                    <div class="product-review d-flex align-items-center justify-content-center">
                                        <i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i>
                                        <span class="caption hidden ms-2">8 reviews</span>
                                    </div>
                                    <!--End Product Review-->
                                    <!--Color Variant-->
                                    <ul class="swatches mb-0">
                                        <li class="swatch medium radius black"><span class="tooltip-label">Black</span></li>
                                        <li class="swatch medium radius navy"><span class="tooltip-label">Navy</span></li>
                                        <li class="swatch medium radius purple"><span class="tooltip-label">Purple</span></li>
                                    </ul>
                                    <!--End Color Variant-->
                                </div>
                                <!--End Product Details-->
                            </div>
                            <div class="col-12 item">
                                <!--Start Product Image-->
                                <div class="product-image">
                                    <!--Start Product Image -->
                                    <a href="product-layout1.html" class="product-img">
                                        <!-- image -->
                                        <img class="primary blur-up lazyload" data-src="{{ asset('front/images/product-3.jpg') }}" src="{{ asset('front/images/product-3.jpg') }}" alt="image" title="">
                                        <!-- End image -->
                                        <!-- Hover image -->
                                        <img class="hover blur-up lazyload" data-src="{{ asset('front/images/product-3-1.jpg') }}" src="{{ asset('front/images/product-3-1.jpg') }}" alt="image" title="">
                                        <!-- End hover image -->
                                    </a>
                                    <!--End Product Image-->
                                    <!--Product label-->
                                    <div class="product-labels"><span class="lbl pr-label1 rounded">New</span></div>
                                    <!--Product label-->

                                    <!--Product Button-->
                                    <div class="button-set style0 d-none d-md-block">
                                        <ul>
                                            <!--Cart Button-->
                                            <li><a class="btn-icon btn cartIcon pro-addtocart-popup" href="#pro-addtocart-popup"><i class="icon an an-cart-l"></i> <span class="tooltip-label top">Add to Cart</span></a></li>
                                            <!--End Cart Button-->
                                            <!--Quick View Button-->
                                            <li><a class="btn-icon quick-view-popup quick-view" href="javascript:void(0)" data-toggle="modal" data-target="#content_quickview"><i class="icon an an-search-l"></i> <span class="tooltip-label top">Quick View</span></a></li>
                                            <!--End Quick View Button-->
                                            <!--Wishlist Button-->
                                            <li><a class="btn-icon wishlist add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l"></i> <span class="tooltip-label top">Add To Wishlist</span></a></li>
                                            <!--End Wishlist Button-->
                                            <!--Compare Button-->
                                            <li><a class="btn-icon compare add-to-compare" href="compare-style2.html"><i class="icon an an-sync-ar"></i> <span class="tooltip-label top">Add to Compare</span></a></li>
                                            <!--End Compare Button-->
                                        </ul>
                                    </div>
                                    <!--End Product Button-->  
                                </div>
                                <!--End Product Image-->
                                <!--Start Product Details-->
                                <div class="product-details text-center">
                                    <!--Product name-->
                                    <div class="product-name text-uppercase">
                                        <a href="product-layout1.html">Ditsy Floral Dress</a>
                                    </div>
                                    <!--End product name-->
                                    <!--Product price-->
                                    <div class="product-price">
                                        <span class="price">$99.00</span>
                                    </div>
                                    <!--End product price-->
                                    <!--Product Review-->
                                    <div class="product-review d-flex align-items-center justify-content-center">
                                        <i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star-o"></i>
                                        <span class="caption hidden ms-2">12 reviews</span>
                                    </div>
                                    <!--End Product Review-->
                                    <!--Color Variant-->
                                    <ul class="swatches mb-0">
                                        <li class="swatch medium radius red"><span class="tooltip-label">red</span></li>
                                        <li class="swatch medium radius orange"><span class="tooltip-label">orange</span></li>
                                        <li class="swatch medium radius yellow"><span class="tooltip-label">yellow</span></li>
                                    </ul>
                                    <!--End Color Variant-->
                                </div>
                                <!--End Product Details-->
                            </div>
                        </div>
                    </div>
                </div>
                <!--End Popular Products-->
                <!--Banner-->
                <div class="sidebar_widget static-banner">
                    <a href="shop-fullwidth.html"><img src="{{ asset('front/images/shop-banner.jpg') }}" alt="image"></a>
                </div>
                <!--End Banner-->
            </div>
        </div>
        <!--End Sidebar-->

        <!--Main Content-->
        <div class="col-12 col-sm-12 col-md-12 col-lg-9 main-col">
            <div class="page-title"><h1>{{$subcatName}}</h1></div>
            <!--Active Filters-->
            <!-- <ul class="active-filters d-flex flex-wrap align-items-center m-0 list-unstyled">
                <li><a href="#">Clear all</a></li>
                <li><a href="#">Men <i class="an an-times-l"></i></a></li>
                <li><a href="#">Accessories <i class="an an-times-l"></i></a></li>
            </ul> -->
            <!--End Active Filters-->
            <!--Toolbar-->
            <div class="toolbar">
                <div class="filters-toolbar-wrapper">
                    <ul class="list-unstyled d-flex align-items-center">
                        <li class="product-count d-flex align-items-center">
                            <button type="button" class="btn btn-filter an an-slider-3 d-inline-flex d-lg-none me-2 me-sm-3"><span class="hidden">Filter</span></button>
                            <div class="filters-toolbar__item">
                                <span class="filters-toolbar__product-count d-none d-sm-block">Showing: 21 products</span>
                            </div>
                        </li>
                        <li class="collection-view ms-sm-auto">
                            <div class="filters-toolbar__item collection-view-as d-flex align-items-center me-3">
                                <a href="javascript:void(0)" class="change-view prd-grid change-view--active"><i class="icon an an-th" aria-hidden="true"></i><span class="tooltip-label">Grid View</span></a>
                                <a href="javascript:void(0)" class="change-view prd-list"><i class="icon an an-th-list" aria-hidden="true"></i><span class="tooltip-label">List View</span></a>
                            </div>
                        </li>
                        <li class="filters-sort ms-auto ms-sm-0">
                            <div class="filters-toolbar__item">
                                <label for="SortBy" class="hidden">Sort by:</label>
                                <select name="SortBy" id="SortBy" class="filters-toolbar__input filters-toolbar__input--sort">
                                    <option value="featured" selected="selected">Featured</option>
                                    <option value="best-selling">Best selling</option>
                                    <option value="title-ascending">Alphabetically, A-Z</option>
                                    <option value="title-descending">Alphabetically, Z-A</option>
                                    <option value="price-ascending">Price, low to high</option>
                                    <option value="price-descending">Price, high to low</option>
                                    <option value="created-ascending">Date, old to new</option>
                                    <option value="created-descending">Date, new to old</option>
                                </select>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <!--End Toolbar-->

            <!--Product Grid-->
            <div class="grid-products grid--view-items prd-grid">
                <div class="row">
                    @foreach ($products as $product)
                    <div class="col-6 col-sm-6 col-md-4 col-lg-4 item">
                        <!--Start Product Image-->
                        <div class="product-image">
                            <!--Start Product Image-->
                            <a href="{{url('product')}}/{{$product->slug}}" class="product-img">
                                <!-- image -->
                                <img class="primary blur-up lazyload" data-src="{{ asset('products') }}/{{$product->productImages[0]->product_image}}" src="{{ asset('products') }}/{{$product->productImages->first()->product_image}}" alt="{{ asset('products') }}/{{$product->productImages->first()->product_image_name}}" title="">
                                <!-- End image -->
                                <!-- Hover image -->
                                <img class="hover blur-up lazyload" data-src="{{ asset('products') }}/{{$product->productImages[1]->product_image}}" src="{{ asset('products') }}/{{$product->productImages[1]->product_image}}" alt="image" title="">
                                <!-- End hover image -->
                            </a>
                            <!--End Product Image-->
                            <!--Product label-->
                            <div class="product-labels">
                                <span class="lbl pr-label1 rounded">
                                    @if($product->is_label == 1)
                                        Popular
                                    @elseif($product->is_label == 2)
                                        New
                                    @elseif($product->is_label == 3)
                                        Custom
                                    @endif
                                </span>
                            </div>
                            <!--Product label-->

                            <!--Product Button-->
                            <div class="button-set style0 d-none d-md-block">
                                <ul>
                                    <!--Cart Button-->
                                    <li>
                                        <form action="{{ route('cart.store') }}" method="POST" enctype="multipart/form-data">
                                            @csrf
                                            <input type="hidden" value="{{ $product->id }}" name="id">
                                            <input type="hidden" value="{{ $product->cat_id }}" name="catId">
                                            <input type="hidden" value="{{ $product->sub_cat_id }}" name="subCatId">
                                            <input type="hidden" value="{{ $product->product_name }}" name="name">
                                            <input type="hidden" value="{{ $product->slug }}" name="slug">
                                            <input type="hidden" value="{{ $product->net_price }}" name="price">
                                            <input type="hidden" value="{{ asset('products') }}/{{$product->productImages->first()->product_image}}" name="image">
                                            <input type="hidden" value="1" name="quantity">
                                            <!-- <button class="px-4 py-2 text-white bg-blue-800 rounded">Add To Cart</button> -->
                                            <button class="btn-icon btn cartIcon" type="submit">
                                                <i class="icon an an-cart-l"></i> <span class="tooltip-label top">Add to Cart</span>
                                            </button>
                                        </form>
                                    </li>
                                    <!--End Cart Button-->
                                    <!--Quick View Button-->
                                    <li><a class="btn-icon quick-view-popup quick-view" href="javascript:void(0)" data-toggle="modal" data-target="#content_quickview"><i class="icon an an-search-l"></i> <span class="tooltip-label top">Quick View</span></a></li>
                                    <!--End Quick View Button-->
                                    <!--Wishlist Button-->
                                    <li><a class="btn-icon wishlist add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l"></i> <span class="tooltip-label top">Add To Wishlist</span></a></li>
                                    <!--End Wishlist Button-->
                                    <!--Compare Button-->
                                    <!-- <li><a class="btn-icon compare add-to-compare" href="compare-style2.html"><i class="icon an an-sync-ar"></i> <span class="tooltip-label top">Add to Compare</span></a></li> -->
                                    <!--End Compare Button-->
                                </ul>
                            </div>
                            <!--End Product Button-->  
                        </div>
                        <!--End Product Image-->
                        <!--Start Product Details-->
                        <div class="product-details text-center">
                            <!--Product Name-->
                            <div class="product-name text-uppercase">
                                <a href="{{url('product')}}/{{$product->slug}}">{{$product->product_name}}</a>
                            </div>
                            <!--End Product Name-->
                            <!--Product Price-->
                            <div class="product-price">
                                @if($product->discount_price > 0)
                                <span class="old-price">{{$product->product_price}}</span>
                                @endif
                                <span class="price">${{$product->net_price}}</span>
                            </div>
                            <!--End Product Price-->
                            <!--Product Review-->
                            <div class="product-review d-flex align-items-center justify-content-center">
                                <i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star"></i><i class="an an-star-o"></i>
                                <span class="caption hidden ms-2">12 reviews</span>
                            </div>
                            <!--End Product Review-->
                            <!--Sort Description-->
                            <p class="hidden sort-desc">{{$product->short_description}}</p>
                            <!--End Sort Description-->
                            <!-- Product Button -->
                            <div class="button-action d-flex">
                                <div class="addtocart-btn">
                                    <form class="addtocart" action="#" method="post">
                                        <a class="btn pro-addtocart-popup" href="#pro-addtocart-popup"><i class="icon hidden an an-cart-l"></i>Add To Cart</a>
                                    </form>
                                </div>
                                <div class="quickview-btn">
                                    <a class="btn btn-icon quick-view quick-view-popup" href="javascript:void(0)" data-toggle="modal" data-target="#content_quickview"><i class="icon an an-search-l"></i> <span class="tooltip-label top">Quick View</span></a>
                                </div>
                                <div class="wishlist-btn">
                                    <a class="btn btn-icon wishlist add-to-wishlist" href="my-wishlist.html"><i class="icon an an-heart-l"></i> <span class="tooltip-label top">Add To Wishlist</span></a>
                                </div>
                                <!-- <div class="compare-btn">
                                    <a class="btn btn-icon compare add-to-compare" href="compare.html"><i class="icon an an-sync-ar"></i> <span class="tooltip-label top">Add to Compare</span></a>
                                </div> -->
                            </div>
                            <!-- End Product Button -->
                        </div>
                        <!--End Product Details-->
                    </div>

                    <!--Quickview Popup-->
                    <div class="loadingBox"><div class="an-spin"><i class="icon an an-spinner4"></i></div></div>
                    <div id="quickView-modal" class="mfp-with-anim mfp-hide">
                        <button title="Close (Esc)" type="button" class="mfp-close">×</button>
                        <div class="row">
                            <div class="col-12 col-sm-6 col-md-6 col-lg-6 mb-3 mb-md-0">
                                <!--Model thumbnail -->
                                <div id="quickView" class="carousel slide">
                                    <!-- Image Slide carousel items -->
                                    <div class="carousel-inner">
                                        @foreach($product->productImages as $key=>$singleImage)
                                            @if($key == 0)
                                            <div class="item carousel-item active" data-bs-slide-number="{{$key}}">
                                                <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="image" title="" />
                                            </div>
                                            @else
                                            <div class="item carousel-item" data-bs-slide-number="{{$key}}">
                                                <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="image" title="" />
                                            </div>
                                            @endif
                                        @endforeach
                                    </div>
                                    <!-- End Image Slide carousel items -->
                                    <!-- Thumbnail image -->
                                    <div class="model-thumbnail-img">
                                        <!-- Thumbnail slide -->
                                        <div class="carousel-indicators list-inline">
                                            @foreach($product->productImages as $key=>$singleImage)
                                                @if($key == 0)
                                                    <div class="list-inline-item active" id="carousel-selector-{{$key}}" data-bs-slide-to="{{$key}}" data-bs-target="#quickView">
                                                        <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="image" title="" />
                                                    </div>
                                                @else
                                                    <div class="list-inline-item" id="carousel-selector-{{$key}}" data-bs-slide-to="{{$key}}" data-bs-target="#quickView">
                                                        <img class="blur-up lazyload" data-src="{{ asset('products') }}/{{$singleImage->product_image}}" src="{{ asset('products') }}/{{$singleImage->product_image}}" alt="image" title="" />
                                                    </div>
                                                @endif
                                            @endforeach
                                        </div>
                                        <!-- End Thumbnail slide -->
                                        <!-- Carousel arrow button -->
                                        <a class="carousel-control-prev carousel-arrow" href="#quickView" data-bs-target="#quickView" data-bs-slide="prev"><i class="icon an-3x an an-angle-left"></i><span class="visually-hidden">Previous</span></a>
                                        <a class="carousel-control-next carousel-arrow" href="#quickView" data-bs-target="#quickView" data-bs-slide="next"><i class="icon an-3x an an-angle-right"></i><span class="visually-hidden">Next</span></a>
                                        <!-- End Carousel arrow button -->
                                    </div>
                                    <!-- End Thumbnail image -->
                                </div>
                                <!--End Model thumbnail -->
                                <div class="text-center mt-3"><a href="{{url('product')}}/{{$product->slug}}">VIEW MORE DETAILS</a></div>
                            </div>
                            <div class="col-12 col-sm-6 col-md-6 col-lg-6">
                                <h2 class="product-title">{{$product->product_name}}</h2>
                                <div class="product-review d-flex-center mb-2">
                                    <div class="rating"><i class="icon an an-star"></i><i class="icon an an-star"></i><i class="icon an an-star"></i><i class="icon an an-star"></i><i class="icon an an-star-o"></i></div>
                                    <div class="reviews ms-2"><a href="#">5 Reviews</a></div>
                                </div>
                                <div class="product-info">
                                    <!-- <p class="product-type">Product Type: <span class="fw-normal">Tops</span></p>  -->
                                    <p class="product-sku">SKU:  <span class="fw-normal">{{$product->sku}}</span></p>
                                </div>
                                <div class="pro-stockLbl my-2">
                                    <span class="d-flex-center stockLbl instock"><i class="icon an an-check-cil"></i><span> In stock</span></span>
                                    <span class="d-flex-center stockLbl preorder d-none"><i class="icon an an-clock-r"></i><span> Pre-order Now</span></span>
                                    <span class="d-flex-center stockLbl outstock d-none"><i class="icon an an-times-cil"></i> <span>Sold out</span></span>
                                    <span class="d-flex-center stockLbl lowstock d-none" data-qty="15"><i class="icon an an-exclamation-cir"></i><span> Order now, Only  <span class="items">10</span>  left!</span></span>
                                </div>
                                <div class="pricebox">
                                    @if($product->discount_price > 0)
                                    <span class="price old-price">{{$product->product_price}}</span>
                                    @endif
                                    <span class="price product-price__sale">${{$product->net_price}}</span>
                                </div>
                                <div class="sort-description">Myteepol</div>
                                <form method="post" action="#" id="product_form--option" class="product-form">
                                    <div class="product-options d-flex-wrap">
                                        <div class="product-action d-flex-wrap w-100 mb-3 clearfix">
                                            <div class="quantity">
                                                <div class="qtyField rounded">
                                                    <a class="qtyBtn minus" href="javascript:void(0);"><i class="icon an an-minus-r" aria-hidden="true"></i></a>
                                                    <input type="text" name="quantity" value="1" class="product-form__input qty rounded-0">
                                                    <a class="qtyBtn plus" href="javascript:void(0);"><i class="icon an an-plus-l" aria-hidden="true"></i></a>
                                                </div>
                                            </div>                                
                                            <div class="add-to-cart ms-3 fl-1">
                                                <button type="button" class="btn button-cart rounded-0"><span>Add to cart</span></button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <div class="wishlist-btn d-flex-center">
                                    <a class="add-wishlist d-flex-center text-uppercase me-3" href="my-wishlist.html" title="Add to Wishlist"><i class="icon an an-heart-l me-1"></i> <span>Add to Wishlist</span></a>
                                    <a class="add-compare d-flex-center text-uppercase" href="compare-style1.html" title="Add to Compare"><i class="icon an an-random-r me-2"></i> <span>Add to Compare</span></a>
                                </div>
                                <!-- Social Sharing -->
                                <div class="social-sharing share-icon d-flex-center mx-0 mt-3">
                                    <span class="sharing-lbl me-2">Share :</span>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-facebook" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on Facebook"><i class="icon an an-facebook mx-1"></i><span class="share-title d-none">Facebook</span></a>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-twitter" data-bs-toggle="tooltip" data-bs-placement="top" title="Tweet on Twitter"><i class="icon an an-twitter mx-1"></i><span class="share-title d-none">Tweet</span></a>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-pinterest" data-bs-toggle="tooltip" data-bs-placement="top" title="Pin on Pinterest"><i class="icon an an-pinterest-p mx-1"></i> <span class="share-title d-none">Pin it</span></a>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-linkedin" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on Instagram"><i class="icon an an-instagram mx-1"></i><span class="share-title d-none">Instagram</span></a>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-whatsapp" data-bs-toggle="tooltip" data-bs-placement="top" title="Share on WhatsApp"><i class="icon an an-whatsapp mx-1"></i><span class="share-title d-none">WhatsApp</span></a>
                                    <a href="#" class="d-flex-center btn btn-link btn--share share-email" data-bs-toggle="tooltip" data-bs-placement="top" title="Share by Email"><i class="icon an an-envelope-l mx-1"></i><span class="share-title d-none">Email</span></a>
                                </div>
                                <!-- End Social Sharing -->
                            </div>
                        </div>
                    </div>
                    <!--End Quickview Popup-->

                    <!--Addtocart Added Popup-->
                    <div id="pro-addtocart-popup" class="mfp-with-anim mfp-hide">
                        <button title="Close (Esc)" type="button" class="mfp-close">×</button>
                        <div class="addtocart-inner text-center clearfix">
                            <h4 class="title mb-3 text-success">Added to your shopping cart successfully.</h4>
                            <div class="pro-img mb-3">
                                <img class="img-fluid blur-up lazyload" src="images/digital-product4.jpg" data-src="images/digital-product4.jpg" alt="Added to your shopping cart successfully." title="Added to your shopping cart successfully." />
                            </div>
                            <div class="pro-details">   
                                <h5 class="pro-name body-font mb-0">Cushioned Office Chair</h5>
                                <p class="sku my-2">Color: Gray</p>
                                <p class="mb-0 qty-total">1 X $113.88</p>
                                <div class="addcart-total bg-light mt-3 mb-3 p-2">
                                    Total: <b class="price">$113.88</b>
                                </div>
                                <div class="button-action">
                                    <a href="checkout-style1.html" class="btn btn-primary view-cart mx-1 py-2 rounded-0">Go To Checkout</a>
                                    <a href="index.html" class="btn btn-outline-primary py-2 rounded-0">Continue Shopping</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End Addtocart Added Popup-->
                    @endforeach
                </div>
            </div>
            <!--End Product Grid-->

            <!--Pagination Classic-->
            <hr class="clear">
            <div class="pagination">
                <ul>
                    <li class="prev"><a href="#"><i class="icon align-middle an an-caret-left" aria-hidden="true"></i></a></li>
                    <li class="active"><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">...</a></li>
                    <li><a href="#">5</a></li>
                    <li class="next"><a href="#"><i class="icon align-middle an an-caret-right" aria-hidden="true"></i></a></li>
                </ul>
            </div>
            <!--End Pagination Classic-->
        </div>
        <!--End Main Content-->
    </div>
</div>
@endsection
