<?php
Auth::routes();

Route::group(['middleware' => 'prevent-back-history'],function(){
    Route::group(['prefix' => 'admin'], function() {
        Route::group(['middleware' => 'admin.guest'], function(){
            Route::view('/','admin.pages.login')->name('admin.pages.login');
            Route::view('/login','admin.pages.login')->name('admin.pages.login');
            Route::post('/login',[App\Http\Controllers\Admin\AdminController::class, 'authenticate'])->name('auth');
        });
        
        Route::group(['middleware' => 'admin.auth'], function(){
            Route::get('/dashboard',[App\Http\Controllers\Admin\DashboardController::class, 'dashboard'])->name('pages.dashboard');
            Route::get('/logout', [App\Http\Controllers\Admin\AdminController::class, 'logout'])->name('logout');

            /* ========Start Admin User Routes======= */
            Route::get('/displayuser',[App\Http\Controllers\Admin\AdminController::class, 'index'])->name('admin.pages.users.user-list');
            Route::view('/user','admin.pages.users.add-user')->name('admin.pages.users.add-user');
            Route::post('/user',[App\Http\Controllers\Admin\AdminController::class, 'store'])->name('store');
            Route::get('edit-user/{id}', [App\Http\Controllers\Admin\AdminController::class, 'show'])->name('show');
            Route::post('/user/update', [App\Http\Controllers\Admin\AdminController::class, 'update'])->name('update');
            Route::get('/user/delete/{id}', [App\Http\Controllers\Admin\AdminController::class, 'delete'])->name('delete');
            /* ========End Admin User Routes======= */

            /* ========Start Categories Routes======= */
            Route::get('/category/displaycategory',[App\Http\Controllers\Admin\CategoryController::class, 'index'])->name('admin.pages.categories.category-list');
            Route::view('/category','admin.pages.categories.add-category')->name('admin.pages.categories.add-category');
            Route::post('/category',[App\Http\Controllers\Admin\CategoryController::class, 'store'])->name('store');
            Route::get('/category/{id}', [App\Http\Controllers\Admin\CategoryController::class, 'show'])->name('show');
            Route::post('/category/update', [App\Http\Controllers\Admin\CategoryController::class, 'update'])->name('update');
            Route::get('/category/delete/{id}', [App\Http\Controllers\Admin\CategoryController::class, 'delete'])->name('delete');
            /* ========End Categories Routes======= */

            /* ========Start Sub Categories Routes======= */
            Route::get('/subcategory/displaysubcategory',[App\Http\Controllers\Admin\SubcategoryController::class, 'index'])->name('admin.pages.subcategories.sub-category-list');
            Route::get('/subcategory',[App\Http\Controllers\Admin\SubcategoryController::class, 'view'])->name('admin.pages.subcategories.add-sub-category');
            Route::post('/subcategory',[App\Http\Controllers\Admin\SubcategoryController::class, 'store'])->name('store');
            Route::get('/subcategory/{id}', [App\Http\Controllers\Admin\SubcategoryController::class, 'show'])->name('show');
            Route::post('/subcategory/update', [App\Http\Controllers\Admin\SubcategoryController::class, 'update'])->name('update');
            Route::get('/subcategory/delete/{id}', [App\Http\Controllers\Admin\SubcategoryController::class, 'delete'])->name('delete');
            /* ========End Sub Categories Routes======= */

            /* ========Start Product Routes======= */
            Route::get('/product/displayproduct',[App\Http\Controllers\Admin\ProductController::class, 'index'])->name('admin.pages.product.product-list');
            Route::get('/product',[App\Http\Controllers\Admin\ProductController::class, 'view'])->name('admin.pages.product.add-product');
            Route::post('/product/ajax-subcat',[App\Http\Controllers\Admin\ProductController::class, 'ajaxSubCategory'])->name('ajaxSubCategory');
            Route::post('/product',[App\Http\Controllers\Admin\ProductController::class, 'store'])->name('store');
            Route::get('/product/{id}', [App\Http\Controllers\Admin\ProductController::class, 'show'])->name('show');
            Route::post('/product/update', [App\Http\Controllers\Admin\ProductController::class, 'update'])->name('update');
            Route::post('/product/update', [App\Http\Controllers\Admin\ProductController::class, 'update'])->name('update');
            Route::post('/product/product-image-upload/{id}', [App\Http\Controllers\Admin\ProductController::class, 'productimageupload'])->name('productimageupload');
            Route::post('/product/product-image-delete/{id}', [App\Http\Controllers\Admin\ProductController::class, 'productimagedelete'])->name('productimagedelete');
            Route::get('/product/delete/{id}', [App\Http\Controllers\Admin\ProductController::class, 'delete'])->name('delete');
            /* ========End Product Routes======= */
        });
    });
});