<?php
// Auth::routes();
Route::group(['middleware' => 'prevent-back-history'],function(){
    Route::group(['middleware' => 'guest'], function(){
        // Route::view('/','front.pages.index')->name('front.pages.index');
        Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('index');
        Route::view('/login','front.pages.login')->name('login');
        Route::get('/blogs', [App\Http\Controllers\BlogController::class, 'index'])->name('blog.index');
        Route::get('/categories/{slug}', [App\Http\Controllers\ProductController::class, 'index'])->name('category.index');
        Route::get('/product/{slug}', [App\Http\Controllers\ProductController::class, 'show'])->name('show');
        
        /**Start Cart Route**/
        Route::get('/cart', [App\Http\Controllers\CartController::class, 'cartList'])->name('cart.list');
        Route::post('/cart', [App\Http\Controllers\CartController::class, 'addToCart'])->name('cart.store');
        Route::post('/update-cart', [App\Http\Controllers\CartController::class, 'updateCart'])->name('cart.update');
        Route::delete('/remove', [App\Http\Controllers\CartController::class, 'removeCart'])->name('cart.remove');
        Route::get('/clear', [App\Http\Controllers\CartController::class, 'clearAllCart'])->name('cart.clear');
        /**End Cart Route**/

        Route::get('/checkout', [App\Http\Controllers\CheckoutController::class, 'checkoutView'])->name('checkout.view');
        Route::post('/checkout', [App\Http\Controllers\CheckoutController::class, 'checkoutSave'])->name('checkout.checkoutSave');
    });

    Route::group(['middleware' => 'auth'], function(){
        Route::get('/', [App\Http\Controllers\UserController::class, 'logout'])->name('logout');
        Route::get('/logout', [App\Http\Controllers\UserController::class, 'logout'])->name('logout');
        Route::get('/payment/{orderno}', [App\Http\Controllers\CheckoutController::class, 'paymentview'])->name('checkout.paymentview');
        Route::post('/getpayuhash', [App\Http\Controllers\PayUMoneyController::class, 'payUMoneyView'])->name('payUMoneyView');
        Route::get('pay-u-response',[PayUMoneyController::class,'payUResponse'])->name('pay.u.response');
        Route::get('pay-u-cancel',[PayUMoneyController::class,'payUCancel'])->name('pay.u.cancel');

        Route::post('handle-payment', [App\Http\Controllers\PayPalPaymentController::class,'handlePaymentPayPal'])->name('make.payment');
        // Route::get('cancel-payment', [App\Http\Controllers\PayPalPaymentController::class,'paymentCancel'])->name('cancel.payment');
        // Route::get('payment-success', [App\Http\Controllers\PayPalPaymentController::class,'paymentSuccess'])->name('success.payment');
        Route::post('handle-payment-cod', [App\Http\Controllers\PaymentController::class,'handlePayment'])->name('make.paymentcod');
        Route::get('payment-success', [App\Http\Controllers\PaymentController::class,'paymentSuccess'])->name('success.payment');
    });
});