

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Product List</h4>

                <div class="page-title-right">
                    <!-- <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Tables</a></li>
                        <li class="breadcrumb-item active">Data Tables</li>
                    </ol> -->
                    <a href="<?php echo e(url('/admin/product')); ?>" class="btn btn-success waves-effect waves-light">
                        <i class="fas fa-plus align-middle ms-2"></i> Add Product
                    </a>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <?php if($message = Session::get('success')): ?>
                        <div class="alert alert-secondary alert-dismissible fade show" role="alert">
                            <?php echo e($message); ?>

                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    <?php endif; ?>
                    <?php if($message = Session::get('error')): ?>
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <?php echo e($message); ?>

                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    <?php endif; ?>
                    <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr>
                            <th width="5%">Sr. No</th>
                            <th width="5%">Product Image</th>    
                            <th width="15%">Category Name</th>
                            <th width="15%">Sub Category Name</th>
                            <th width="25%">Product Name</th>
                            <th width="10%">Price</th>
                            <th width="5%">Status</th>
                            <th width="15%">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $productData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($loop->iteration); ?></td>
                            <td><img src="<?php echo e(asset('products')); ?>/<?php echo e($product->productImages->first()->product_image); ?>" class="avatar-md"/></td>
                            <td><?php echo e($product->categories->category_name); ?></td>
                            <td><?php echo e($product->subcategories->sub_category_name); ?></td>
                            <td><?php echo e($product->product_name); ?></td>
                            <td><?php echo e($product->net_price); ?></td>
                            <td>
                                <?php if($product->status == 707): ?>
                                <span class="badge bg-success" style="font-size: 100% !important">Active</span>
                                <?php else: ?>
                                <span class="badge bg-danger" style="font-size: 100% !important">Inactive</span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <a href="<?php echo e(url('admin/product', $product->id)); ?>" class="btn btn-outline-primary btn-sm edit" title="Edit">
                                    <i class="fas fa-pencil-alt"></i>
                                </a>
                                <a href="javascript:void(0);" class="btn btn-outline-primary btn-sm delete detelebtn detelebtn" data-bs-toggle="modal" data-bs-target="#staticBackdrop" title="Edit" username="<?php echo e($product->product_name); ?>" id="<?php echo e($product->id); ?>">
                                    <i class="fas fa-trash-alt"></i>
                                </a>
                            </td>
                        </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->

    <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" style="display: none;" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Delete File</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <p>Are you want to delete product <span class="showuser" style="font-weight: bold;"></span> ?.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light waves-effect" data-bs-dismiss="modal">Close</button>
                    <a href="#" class="btn btn-danger waves-effect waves-light myprocesdelete">Delete</a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('deletescript'); ?>
<script type="text/javascript">
    $(document).ready(function() {
        $('.detelebtn').click(function() {
            var id=$(this).attr('id');
            var username=$(this).attr('username');
            $('#staticBackdrop .showuser').text(username);
            $('#staticBackdrop .myprocesdelete').attr('href','delete/'+id);
            //alert('done');
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.list', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laragon\www\myteepol\resources\views/admin/pages/product/product-list.blade.php ENDPATH**/ ?>